<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Category extends Model
{
    use HasFactory;
    use SoftDeletes;

    public $timestamps = true;
    protected $fillable = [
        'name_en',
        'name_ar',
        'parent_id',
        'discount',
        'pos',
        'code',
        'digital_menu',
    ];
    protected $dates        = ['deleted_at'];

    // one to many relationship between Category table and Products table
    public function products()
    {
        return $this->hasMany(Product::class,'category_id');
    }

    // one to many relationship between Category table and Category table (parent and sub category)
    public function parent_category(){
        return  $this->belongsTo(Category::class,'parent_id');
    }

    public function sub_category(){
        return  $this->hasMany(Category::class,'parent_id');
    }

     // one to many relationship between users table and orders table
     public function user_created_by()
     {
         return $this->belongsTo(User::class,'created_by');
     }

     public function user_modified_by()
     {
         return $this->belongsTo(User::class,'modified_by');
     }
}
