<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;


class Invoice extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $connection   = 'mysql';
    protected $table        = 'invoices';
    protected $dates        = ['deleted_at'];

    // one to one relationship between invoices table and orders table
    public function order()
    {
        return $this->belongsTo(Order::class);
    }
}
