<?php

namespace App\Http\Controllers\Auth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\SendsPasswordResetEmails;
use App\Models\User;
use Mail;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use Illuminate\Support\Facades\Hash;
class ForgotPasswordController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Password Reset Controller
    |--------------------------------------------------------------------------
    |
    | This controller is responsible for handling password reset emails and
    | includes a trait which assists in sending these notifications from
    | your application to your users. Feel free to explore this trait.
    |
    */

    // use SendsPasswordResetEmails;
    public function forget_pass_page(){
       return view('auth.passwords.forget_pass');
    }

    // public function forget_pass_post(Request $request){
    //     $request->validate([
    //         'email'         =>'required',
    //     ],[
    //         'email.required'            =>'User Email is required',

    //     ]);

    //     $token = Str::random(64);

    //     DB::table('password_resets')->insert([
    //         'email' => $request->email,
    //         'token' => $token,
    //         'created_at' => Carbon::now()
    //       ]);

    //     Mail::send('email.forgetPassword', ['token' => $token], function($message) use($request){
    //         $message->to($request->email);
    //         $message->subject(' Hi Sir
    //                             Please click this link to reset your password :
    //                             http:');
    //     });
    // }

    public function reset_pass(Request $request){

        $request->validate([
            'new_password' => 'required|min:6',
            'confirm_password' => 'required|same:new_password',
        ],[
            'new_password.required'         =>'New Password is required',
            'confirm_password.required'     =>'Confirm Password  is required',

        ]);

        $token             = $request->token;
        $new_password      = $request->new_password;
        $confirm_password  = $request->confirm_password;

        $updatePassword = DB::table('password_resets')
                        ->where(['token' => $token])
                        ->first();

        if(!$updatePassword)
            return back()->withInput()->with('error', 'Invalid token!');
        $user = User::where('email', $updatePassword->email)
                ->update(['password' => Hash::make($new_password)]);

        DB::table('password_resets')->where(['email'=> $updatePassword->email])->delete();

        return redirect('/login')->with('message', 'Your password has been changed!');
    }


    public function getEmail()
    {
       ///return view to enter email
       return view('email.igetEmail');
    }

    public function forgetpassword(Request $request)
    {

        $email = $request ->email;
        $user  = User::where('email',$email)->first();
        // $user = new User();
        // $user = $user->getByEmail($email);

        if(!$user)
        {
            return Response([
                'status'    => 'error',
                'message'   =>'Sorry , this email is not find in our system'
            ]);
        }else{

            //  insert email and generate  reset token
            DB::table('password_resets')->insert([
                'email' => $email,
                'token' => Str::uuid()->toString(),
                'created_at' => Carbon::now()
            ]);
            $reset = DB::table('password_resets')->where('email', $email)->first();

             $token = $reset->token;
             $name  = $user->first_name;

             //generate link send link via email
             $link = 'https://sa.receitek.com/pos/test/public/index.php/change_password/'.$token;

            $data = array("link" =>$link ,"token" => $token , "name" => $name);

            Mail::send('email.forgetPassword', $data, function ($message) use ($user, $email) {
                $message->from("support@receitek.com");
                $message->to($email);
                $message->subject('Reset Password Notification');
            });

             return Response([
                'status'    => 'success',
                'message'   =>'We have e-mailed your password reset link!'
            ]);
        }

    }

    public function change_password($tok){

        return view('auth.passwords.change_password')->with(['token'=>$tok]);
    }

}
