<?php

namespace App\Http\Controllers\dashboard;

use App\Http\Controllers\Controller;
use App\Models\Image;
use App\Models\Product;
use Illuminate\Http\Request;
use Maatwebsite\Excel\Facades\Excel;
use App\Imports\CategoriesImport;
use App\Imports\ProductsImport;

class ImageController extends Controller
{
    //
    public function index()
    {
        return view('dashboard.general_settings.images');
    }
    public function uploadImages(Request $request)
    {
        if ($request->has('filesuploaded')) {
            foreach ($request->file('filesuploaded') as $imagefile) {
                $imageName = $imagefile->getClientOriginalName();
                $name = pathinfo($imageName, PATHINFO_FILENAME);
                $imagefile->move('images/', $imageName);
                $path = 'images/' . $name;
                $image = new Image();
                $image->name = $name;
                $image->url = $path;
                $image->save();
            }
            $this->mapping();
            return redirect(route('uploadImages'));
        }
    }


    public function upload_files(Request $request){
        if(!is_null($request->file('categoryFile'))){
            Excel::import(new CategoriesImport, $request->file('categoryFile')->store('temp'));
                // return redirect()->back()->with('success', 'Category Imported Successfully');
        }

        if(!is_null($request->file('ProductFile'))){
            Excel::import(new ProductsImport, $request->file('ProductFile')->store('temp'));
                // return redirect()->back()->with('success', 'Product Imported Successfully');
        }

        if ($request->has('filesuploaded')) {
            foreach ($request->file('filesuploaded') as $imagefile) {
                $imageName = $imagefile->getClientOriginalName();
                $name = pathinfo($imageName, PATHINFO_FILENAME);
                $imagefile->move('images/', $imageName);
                $path = 'images/' . $name;
                $image = new Image();
                $image->name = $name;
                $image->url = $path;
                $image->save();
            }
            $this->mapping();
            // return redirect(route('uploadImages'));
        }

        return redirect()->back()->with('success', 'Files Imported Successfully');
    }

    public function mapping()
    {
        $products = Product::all();
        $images = Image::all();
        foreach ($products as $product) {
            foreach ($images as $image) {
                if ($image->name == $product->code) {
                    $product->image = $image->name;
                    $product->save();
                }
            }
        }
    }
}
