<?php

namespace App\Http\Controllers\dashboard;

use Mail;
use Flash;
use App\Models\Support;
use Illuminate\Support\Str;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;

class SupportController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $supports = Support::all();
        return view('dashboard.support.index', compact('supports'));
    }
    public function contact(){
        return view('dashboard.support.support');
    }

    public function contactPost(Request $request){
        $REFERRER = $_SERVER['HTTP_REFERER']; // Or other method to get a URL for decomposition
        // $str    = '://sa.kuppitek.com/pos/';

        // $length =  Str::length($str);

        // $subdomain = $_SERVER['SERVER_NAME'];
        $domain = substr($REFERRER,0, strpos($REFERRER, '/public'));
        // dd($domain);
        // $domain = substr($REFERRER, strpos($REFERRER, $str)+$length);
        // dd($domain);
        // $domain = substr($domain, 0, strpos($domain, '/'));
        // $subdomain = substr($domain, 0, strpos($domain, '.'));
// dd($subdomain . '/' . $domain);
            $this->validate($request, [
                'name' => 'required',
                'email' => 'required|email',
                'comment' => 'required',
                'subject' => 'required',
                'phone' => 'required'
            ]);
        try{
            Mail::send('dashboard.support.email', [
                    'name' => $request->get('name'),
                    'email' => $request->get('email'),
                    'phone' => $request->get('phone'),
                    'subject' => $request->get('subject'),
                    'comment' => $request->get('comment'),
                    // 'sub_domain' =>$subdomain . '/' . $domain ],
                    'sub_domain' =>$domain ],
                    function ($message)  use ($request){
                            $message->from($request->email);
                            $message->to("support@receitek.com")
                            ->subject('Receitek Support on ' . $request->subject);
            });
                $support = new Support();
                $support->name = $request->input('name');
                $support->email = $request->input('email');
                $support->phone = $request->input('phone');
                $support->subject = $request->input('subject');
                $support->comment = $request->input('comment');
                $support->save();
        return back()->with('success', 'Hello '.$request->name. ', Thanks for contacting us, We will get back to you soon!');
        }catch (\Exception $ex) {
            Flash::error('Email Not Sent');
            return view('dashboard.support.support');
        }

    }
    public function showSupport(Request $request ,$id){

        $support_card = Support::find($id);
        return view('dashboard.support.show',compact('support_card'));
    }
    public function DoneCard($id){
        $support = Support::find($id);
        $support->status = 1;
        return redirect()->back();
    }
    public function storeValue(Request $request)
    {
        $id = $request->id;
        $support =Support::find($id);
        $support->status = $request->status;
        $support->save();
        Flash::success('This Support Issue is Done');
    }
}
