<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Securable extends Model
{
    use HasFactory;
    public $timestamps = true;
    protected $fillable = [
        'name',
    ];

    // many to many relastionship between Role table and Securable Table
    public function roles()
    {
        return $this->belongsToMany(Role::class,'roles_securables','securable_id','role_id');
    }

    // many to many relastionship between Permission table and Securable Table
    public function permissions()
    {
        return $this->belongsToMany(Permission::class,'roles_securables','securable_id','permission_id');
    }


    // many to many relationship between users table and securable table
    public function users()
    {
        return $this->belongsToMany(User::class,'users_securables','securable_id','user_id');
    }
    // // one to many relationship between users table and roles table
    // public function users()
    // {
    //     return $this->hasMany(User::class,'role_id');
    // }
}
