<?php

namespace Database\Factories;

use App\Models\Category;
use App\Models\Product;
use Illuminate\Database\Eloquent\Factories\Factory;

class ProductFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array
     */
    protected $model = Product::class;
    public function definition()
    {
        return [
            'name_en' => $this->faker->name,
            'name_ar' => $this->faker->name,
            'code'=> $this->faker->randomDigit,
            'cost_price' => $this->faker->randomFloat($nbMaxDecimals = NULL, $min = 0, $max = NULL),
            'selling_price' =>$this->faker->randomFloat($nbMaxDecimals = NULL, $min = 0, $max = NULL),
            'discount'=> $this->faker->randomDigit,
            'pos' =>$this->faker->boolean(),
            'digital_menu' =>$this->faker->boolean(),
            'category_id' => Category::factory(),
            'image' =>$this->faker->name
            ];
    }
}
