<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('settings', function (Blueprint $table) {
            $table->id();
            $table->string('company_name');
            $table->string('coffee_name');
            $table->string('contact_person');
            $table->string('contact_person_email');
            $table->string('contact_person_phone')->nullable();
            $table->string('registeration_number')->nullable();

            $table->string('city');
            $table->string('address');
            $table->string('country');

            $table->string('vat_number');
            $table->float('tax');
            $table->tinyInteger('with_vat');

            $table->string('logo');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('settings');
    }
}
