<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('username')->unique();
            $table->string('email')->unique();
            $table->string('password');
            $table->rememberToken() ;
            $table->string('phone')->unique();
            $table->unsignedBigInteger ('role_id')->nullable();
            $table->foreign('role_id')->references('id')->on('roles')->onUpdate('cascade');
            $table->dateTime('shift_from')->nullable();
            $table->dateTime('shift_to')->nullable();
            $table->string('residence_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
