<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('categories', function (Blueprint $table) {
            $table->id();
            $table->string('name_en');
            $table->string('name_ar');
            $table->string('code')->unique();
            $table->integer('discount')->nullable()->default(0);
            $table->integer('created_by');
            $table->integer('modified_by')->nullable();
            $table->unsignedBigInteger('parent_id')->nullable();
            // $table->foreign('order_id')->references('id')->on('categories')->onUpdate('cascade');
            $table->boolean('digital_menu')->default(0);
            $table->boolean('pos')->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('categories');
    }
}
