<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string('name_en');
            $table->string('name_ar');
            $table->string('code');
            $table->float('cost_price');
            $table-> float('selling_price');
            $table->integer('discount')->default(0);
            $table->boolean('pos')->default(0);
            $table->boolean('digital_menu')->default(0);
            $table->string('image')->nullable();

            $table->unsignedBigInteger('category_id') ;
            $table->foreign('category_id')->references('id')->on('categories')->onUpdate('cascade');
            
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
