<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->string('order_type')->nullable();
            $table->integer('table_num')->nullable();
            $table->string('customer_name')->nullable();
            $table->string('waiter_name')->nullable();
            $table->string('payment_type')->nullable();
            $table->date('created_date');
            $table->integer('created_by');
            $table->integer('modified_by')->nullable();
            $table->float('sub_total','10','2');
            $table->float('sub_total_a_dis','10','2');
            $table->float('tax','10','2');
            $table->float('tax_a_dis','10','2');
            $table->float('total','10','2');
            $table->float('discount','10','2');
            $table->integer('order_status')->default('0');
            $table->timestamps();
            $table->softDeletes();
            // $table->cascadeOnUpdate('cascade')
            //       ->cascadeOnDelete('cascade');
        });
        DB::statement('ALTER TABLE orders CHANGE id id BIGINT UNSIGNED ZEROFILL NOT NULL AUTO_INCREMENT');
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
