@extends('layouts.app')
@section('title')
Categories
@endsection
@php
    $language = app()->getLocale()
@endphp
@section('content')
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="card-title p-2 mb-0 darkblue">{{ __('messages.cateogries') }}</h5>
                {{--  <a href="{{ route('uploadFile',['file_name'=>'categories']) }}" class="btn btn-success">
                    <i class='fas fa-file-import text-white'></i>
                </a>  --}}
                <a style="text-decoration: none;" href="{{ route('categories.create') }}" class="bg-blue text-white p-2 border-round fw-bold">{{ __('messages.add_cat') }}</a>
            </div>
            <table class="table table-striped w-100" data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead>
                <tr class="darkblue">

                    {{--  <th>#</th>  --}}
                    <th>{{ __('messages.name_en') }}</th>
                    <th>{{ __('messages.name_ar') }}</th>
                    <th>{{ __('messages.code') }}</th>

                    <th>{{ __('messages.pos') }}</th>
                    <th>{{ __('messages.action') }}</th>
                </tr>
                </thead>
                <tbody>
                    @php
                        if(count($categories)>0){
                            $counter= count($categories)+1;
                        }else{
                            $counter=1;
                        }
                    @endphp
                    @foreach($categories as $cat)
                        <tr>
                           {{--  <td>
                           {{$counter }}
                         </td>  --}}
                            <td>{{ $cat->name_en}}</td>
                            <td>{{ $cat->name_ar}}</td>
                            <td>{{ $cat->code}}</td>

                            <td>
                            @if (  $cat->pos ==1 )
                                 @if ($language == 'ar')
                                     نعم
                                @else
                                      yes
                                 @endif
                            @else
                              @if ($language == 'ar')
                                     لا
                                @else
                                      no
                                     @endif
                            @endif
                        </td>
                            <td>
                                <div class="d-flex align-items-center">
                                    <a href="{{ route('categories.edit', ['id'=>$cat->id]) }}"><i class="px-2 fa-solid fa-pen-to-square green"></i></a>
                                    <a href="{{ route('categories.show', $cat->id) }}"><i class="px-2 fa-solid fa-eye"></i></a>
                                    <a href="{{route('categories.delete', ['id'=>$cat->id])}}" class="del_cat"><i class="px-2 fa-solid fa-trash-can red"></i></a>
                            </td>
                        </tr>
                        @php
                            $counter--;
                        @endphp
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection

@section('script')
    <script>
        $(document).ready(function(){
            $('.del_cat').each(function(){
                $(this).on('click',function(event){
                    var elm = $(this);
                    event.preventDefault();

                    Swal.fire({
                        title: 'Are you sure?',
                        text: "You won't be able to revert this!",
                        type: 'warning',
                        showCancelButton: true,
                        confirmButtonColor: '#35fd80',
                        cancelButtonColor: '#d33',
                        confirmButtonText: 'Yes, delete it!'
                    }).then((result) => {
                        if(result.value) {
                            $.ajax({
                                method:'get',
                                url:elm.attr('href'),
                                success: function (data) {
                                    console.log(data);
                                    if(data.status){
                                        Swal.fire({
                                            title: 'Deleted',
                                            text: data.msg,
                                            type: 'success',
                                            confirmButtonColor: '#35fd80',
                                            showConfirmButton:false,
                                            confirmButtonText: 'حسناً',
                                            timer:1000
                                        }).then(function() {
                                            location.reload();
                                          })
                                    }else{
                                        Swal.fire({
                                            title: data.msg,
                                            type: 'error',
                                            confirmButtonColor: '#35fd80',
                                            confirmButtonText: 'حسناً',
                                            timer:2000
                                        }).then(function() {
                                            location.reload();
                                          })
                                    }
                                     // window.location.href = base_url + 'dashboard/orders';
                                //     window.location.href = {{route('categories.index')}}//'dashboard/categories/index';
                                }
                            });
                        }
                    })
                })
            })
        })
    </script>
@endsection
