@extends('layouts.app')
@section('title')
Upload Images
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
    {{ $error }}<br>
    @endforeach
</div>
@endif

@if(Session::has('success'))
    <div class="alert alert-success">
        {{ Session::get('success') }}
        @php
            Session::forget('success');
        @endphp
    </div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <div class ="row">
                <form action="{{route('uploadFile')}}" method="POST" enctype="multipart/form-data">
                    <div class="col-12">
                        <h5 class="card-title">{{ __('messages.product_photo') }}</h5>
                        {{--  <p><strong class="red">{{ __('messages.note') }}</strong>{{ __('messages.be_sure') }} </p>  --}}
                        @csrf
                        <div class="row">
                            <div class="position-relative form-group col-md-8">
                                <input type="file" id="fileuploaded" name="filesuploaded[]" accept="image/png, image/gif, image/jpeg"  class="form-control" multiple>
                                <span class="text-danger font-weight-bolder">{{ __('messages.be_sure') }}</span>

                            </div>
                        </div>

                        <h5 class="card-title">{{ __('messages.category_file') }}</h5>
                        @csrf
                        <div class="row">
                            <div class="position-relative form-group col-md-8">
                                <input type="file" id="fileuploaded" name="uploads[category]" accept="FILETYPE" class="form-control" multiple>
                                <span><a href="{{asset('files/Category.xlsx')}}" class="text-danger font-weight-bolder" download>Download Category Excel file and replace data with yours</a></span>
                            </div>
                        </div>

                        <h5 class="card-title">{{ __('messages.product_file') }}</h5>
                        @csrf
                        <div class="row">
                            <div class="position-relative form-group col-md-8">
                                <input type="file" id="fileuploaded" name="uploads[product]" accept="FILETYPE" class="form-control" multiple>
                                <span><a href="{{asset('files/Product.xlsx')}}" class="text-danger font-weight-bolder" download>Download Product Excel file and replace data with yours</a></span>
                            </div>
                        </div>
                        <button class="mt-1 btn bg-darkblue text-white">{{ __('messages.submit') }}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
