@extends('layouts.app')
@section('title')
Inventory
@endsection
@section('content')
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            @include('flash::message')
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="card-title p-2 mb-0 darkblue">{{ __('messages.inventory') }}</h5>
            </div>
            <table class="table table-striped w-100" data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead>
                    <tr class="darkblue">
                        {{--  <th>#</th>  --}}
                        <th>{{ __('messages.name') }}</th>
                        <th>{{ __('messages.quantity') }}</th>
                        <th>{{ __('messages.unit') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($items as $item)
                    <tr>
                        {{--  <td>{{ $item->id}}</td>  --}}
                        <?php $language = app()->getLocale();
                          if($language == 'en') { ?>
                        <td>{{ $item->items->name_en}}</td>
                        <?php } else { ?>
                        <td>{{ $item->items->name_ar}}</td>
                        <?php } ?>
                        <td>{{$item->quantity}}</td>
                        <td>{{$item->items->unit}}</td>


                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@section('scripts')
<script>
    excel = document.getElementsByClassName(".btn.btn-secondary.buttons-excel.buttons-html5");
    console.log(excel);

</script>
<script src="{{ asset('assets/js/datatable.min.js') }}"></script>
@endsection

