<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Kuppitek - @yield('title') </title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link href="{{asset('assets/main.css')}}" rel="stylesheet">
        <link href="{{asset('assets/css/dashboard.css')}}" rel="stylesheet">
        <link href="{{asset('assets/css/select2.min.css')}}" rel="stylesheet">
        <link href="{{asset('assets/css/sweetalert.min.css')}}" rel="stylesheet">
        <link href="{{asset('assets/css.css')}}" rel="stylesheet">
        <link  rel="stylesheet" href="{{ asset('assets/dist/css/bootstrap.min.css') }}"/>
        <link href="{{asset('assets/dist/css/dataTables.bootstrap5.min.css')}}" rel="stylesheet">
        <link href="{{asset('assets/dist/css/buttons.bootstrap5.min.css')}}" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
        <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
        <link rel="icon" href="{{asset('assets/images/favicon.png')}}">
    {{-- datatable --}}
        <link rel="stylesheet" href="{{ asset('assets/css/datatable.min.css') }}" />
        <title>
            @php
                $language = app()->getLocale();
            @endphp
            @if ($language=='ar')
                طباعة الفاتورة
                @php

                $direction = 'style=direction:rtl;';
                @endphp
            @else
                Print Invoice
                @php

                $direction = 'style=direction:ltr;';
                @endphp
            @endif
        </title>

        <style>
            body{
                size: A5
            }
            *,h6{
                font-size: 13px !important;
            }
        </style>

    </head>

    <body {{$direction}} style="font-size: 14px !important">
        @php
            $language = app()->getLocale();
        @endphp
        <div class="container" style="margin-top: 10px !important;margin-bottom: 10px !important">
            {{--  <div class="row d-flex justify-content-center align-items-center">
                <div class="col-md- col-12">  --}}
                    @php
                        switch( strlen((string)$invoice->id)){
                            case('1'):
                                $invoice_number = '00000'.$invoice->id;
                                break;
                            case('2'):
                                $invoice_number = '0000'.$invoice->id;
                                break;
                            case('3'):
                                $invoice_number = '000'.$invoice->id;
                                break;
                            case('4'):
                                $invoice_number = '00'.$invoice->id;
                                break;
                            case('6'):
                                $invoice_number = '0'.$invoice->id;
                                break;
                            default:
                                $invoice_number = $invoice->id;
                                break;
                        }
                        $path = 'images/'.$settings->logo;
                    @endphp

                    <div class="row d-flex justify-content-center">
                        <div class="col-6 d-flex justify-content-center">
                            <img src="{{asset($path)}}" width="100px" style="margin-bottom: 5px">
                        </div>
                    </div>
                    <h5 class="text-center">
                        @if ($language == 'ar')
                                فاتورة ضريبية مبسطة
                        @else
                            Simplified Tax Invoice
                        @endif
                    </h5>
                    {{--  <h6 class="text-center mb-0"></h6>  --}}
                    <hr style="opacity: 1!important;border: 1px solid #000 ; background-color:#000 ; margin-top: 0">

                    <h6  style="margin-bottom: 0.2rem !important;font-weight: bold;">

                        @if ($language == 'ar')
                                رقم الفاتورة :
                            {{$invoice_number}}
                        @else
                            Invoice Number :
                            {{$invoice_number}}
                        @endif
                    </h6>
                    <h6  style="margin-bottom: 0.2rem !important;font-weight: bold;">
                        @if ($language == 'ar')
                            تاريخ اصدار الفاتورة :
                        @else
                            Invoice Issue Date :
                        @endif
                        {{date('d/m/Y',strtotime($invoice->updated_at))}}
                    </h6>

                    <h6 style="margin-bottom: 0.2rem !important;font-weight: bold;">
                        @if ($language == 'ar')
                            اسم الشركة :
                        @else
                        Company Name :
                        @endif
                        {{$settings->coffee_name}}
                    </h6>

                    <h6 style="margin-bottom: 0.2rem !important;font-weight: bold;">
                        @if ($language == 'ar')
                            العنوان :
                        @else
                        Address:
                        @endif
                        {{$settings->address}}
                    </h6>

                    <h6 style="margin-bottom: 0.2rem !important;font-weight: bold;">
                        @if ($language == 'ar')
                        رقم تسجيل ضريبة القيمة المضافة  :
                        @else
                        (VAT Number):
                        @endif
                        {{$settings->vat_number}}
                    </h6>


                    <table class="table  table-striped table-hover mb-1">

                        <thead class="text-center" style="font-weight: bolder;">
                            <td class="pt-0 pb-0">
                                @if ($language == 'ar')
                                المجموع
                                @else
                                Total
                                @endif
                            </td>
                            <td class="pt-0 pb-0">
                                @if ($language == 'ar')
                                سعر الواحدة
                                @else
                                Unit Price
                                @endif
                            </td>
                            <td class="pt-0 pb-0">
                                @if ($language == 'ar')
                                الكمية
                                @else
                                Quantity
                                @endif

                            </td>
                            <td class="pt-0 pb-0" style="width: 160px">
                                @if ($language == 'ar')
                                اسم المنتج
                                @else
                                Product Name
                                @endif
                            </td>
                        </thead >
                        <tbody class="text-center" id="order_table">
                            @php
                                $total_vat  = 0.0;
                                $total_amount_due = 0.0;
                            @endphp
                            @if(count($products) > 0)
                                @foreach ($products as $product)
                                    <tr>
                                        <td style="font-weight: bold">{{number_format($product->pivot->taxable_amount,2)}}</td>
                                        <td style="font-weight: bold">{{number_format($product->selling_price,1)}}</td>
                                        <td style="font-weight: bold">{{$product->pivot->quantity}}</td>
                                        <td style="font-weight: bold">
                                            <p class="p-0 m-0">
                                                @if ($language == 'ar')
                                                {{$product->name_ar}}
                                                @else
                                                {{$product->name_en}}
                                                @endif
                                            </p>
                                            {{--  <p class="p-0 m-0">{{$product->name_en}}</p>  --}}
                                        </td>
                                    </tr>
                                @endforeach
                            @endif

                        </tbody>
                    </table>
                    @if($invoice->order->discount != 0)
                        <p class="m-0 font-weight-bolder ">
                            @if ($language == 'ar')
                                الخصم :
                            @else
                                Discount :
                            @endif
                            {{$invoice->order->discount }}
                        </p>
                    @endif

                    <hr style="opacity: 1!important;border: 1px solid #000 ; background-color:#000;margin: 0;">

                    <div class="row">
                        <div class="col-12">
                            <div class="row">
                                <div class="col-8">
                                    <p class="m-0 font-weight-bolder">
                                        @if ($language == 'ar')
                                            المجموع ( غير شامل ضريبة القيمة المضافة  )
                                        @else
                                            Total Taxable Amount (Excluding VAT)
                                        @endif
                                    </p>
                                    {{--  <small>المجموع ( غير شامل ضريبة القيمة المضافة  )</small>  --}}
                                </div>
                                <div class="col-4 d-flex justify-content-end alighn-items-center font-weight-bolder" >
                                    <p class="m-0 text-right">{{number_format($invoice->order->sub_total_a_dis,2)}}</p>
                                </div>
                            </div>
                            <hr style="margin:0px;">
                            <div class="row">
                                <div class="col-8">
                                    <p class="m-0 font-weight-bolder">
                                        @if ($language == 'ar')
                                            مجموع ضريبة القيمة المضافة
                                        @else
                                            Total VAT
                                        @endif
                                    </p>
                                    {{--  <small> مجموع ضريبة القيمة المضافة  </small>  --}}
                                </div>
                                <div class="col-4 d-flex justify-content-end alighn-items-center font-weight-bolder">
                                    <p class="m-0 text-right">{{number_format($invoice->order->tax_a_dis,2)}}</p>
                                </div>
                            </div>
                            <hr style="margin:0px;">
                            <div class="row">
                                <div class="col-8">
                                    <p class="m-0 font-weight-bolder">
                                        @if ($language == 'ar')
                                            إجمالي المبلغ المستحق
                                        @else
                                            Total Amount Due
                                        @endif
                                    </p>
                                    {{--  <small> إجمالي المبلغ المستحق</small>  --}}
                                </div>
                                <div class="col-4 d-flex justify-content-end alighn-items-center font-weight-bolder">
                                    <p class="m-0 text-right">{{number_format($invoice->order->total,2)}}</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <hr style="opacity: 1!important;border: 1px solid #000 ; background-color:#000;margin-top: 10px;margin-bottom: 0px">

                    <div class="row d-flex justify-content-center">
                        <div class="col-6 d-flex justify-content-center align-items-center">
                            <img src="{{$QR}}" alt="QR Code" style="width: 140px">
                        </div>
                    </div>
                {{--  </div>
            </div>  --}}
        </div>


        <script type="text/javascript" src="{{asset('assets/scripts/main.js')}}"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
        <script src="{{ asset('assets/dist/js/app.js') }}"></script>
        <script src="{{asset('assets/dist/js/jquery.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/bootstrap.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/jquery.dataTables.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/dataTables.bootstrap5.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/dataTables.buttons.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/buttons.bootstrap5.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/buttons.html5.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/buttons.flash.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/buttons.print.min.js')}}"></script>
        <script src="{{asset('assets/dist/js/jszip.min.js')}}"></script>
        <script src="{{asset('assets/js/select2.min.js')}}"></script>
        <script src="{{asset('assets/js/sweetalert2.js')}}"></script>
        <script>
            $(document).ready(function(){
                window.print();
                window.onafterprint = window.close;
            })
        </script>
    </body>
</html>

