@extends('layouts.app')
@section('title')
    @php
        $language = app()->getLocale();
    @endphp
    @if ($language=='ar')
       الطلبات
    @else
        Orders
    @endif
@endsection
@section('content')
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            {{--  <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="card-title p-2 mb-0 darkblue">Category</h5>
                <a href="{{ route('uploadFile') }}" class="btn btn-success">
                    <i class='fas fa-file-import text-white'></i>
                </a>
                <a style="text-decoration: none;" href="{{ route('categories.create') }}" class="bg-blue text-white p-2 border-round fw-bold">Create Category</a>
            </div>  --}}
            <table class="table table-striped w-100"data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead class="text-center">
                <tr class="darkblue">
                    <th>{{__('messages.order#')}}</th>
                    {{--  <th>{{__('messages.order_number')}}</th>  --}}
                    <th>{{__('messages.table#')}}</th>
                    <th>{{__('messages.index_total')}}</th>
                    <th>{{__('messages.order_status')}}</th>
                    <th>{{__('messages.order_date')}}</th>
                    <th>{{__('messages.action')}}</th>
                </tr>
                </thead>
                <tbody class="text-center">
                    @if(isset($orders) && count($orders)>0)
                        @foreach($orders as $order)
                            @php
                                switch( strlen((string)$order->id)){
                                    case('1'):
                                        $order_number = '00000'.$order->id;
                                        break;
                                    case('2'):
                                        $order_number = '0000'.$order->id;
                                        break;
                                    case('3'):
                                        $order_number = '000'.$order->id;
                                        break;
                                    case('4'):
                                        $order_number = '00'.$order->id;
                                        break;
                                    case('6'):
                                        $order_number = '0'.$order->id;
                                        break;
                                    default:
                                        $order_number = $order->id;
                                        break;
                                }
                            @endphp
                            @php
                                switch($order->order_status){
                                    case('1'):
                                        if (app()->getLocale() == 'ar')
                                            $order_status =  'مفتوح';
                                        else $order_status =  'opened';

                                        $color          = "text-success";
                                        break;
                                    case('2'):
                                        if (app()->getLocale() == 'ar')
                                            $order_status =  'ملغى';
                                        else $order_status =  'cancelled';
                                        $color          = "text-danger";
                                        break;
                                    case('3'):
                                        if (app()->getLocale() == 'ar')
                                            $order_status =  'مغلق';
                                        else $order_status =  'closed';
                                        $color          = "text-primary";
                                        break;
                                    default:
                                        break;
                                }
                            @endphp
                        <tr>
                            {{--  <td>{{$order->id}}</td>  --}}
                            <td>{{$order_number}}</td>
                            <td>{{$order->table_num}}</td>
                            <td>{{$order->total}}</td>
                            <td class="font-weight-bolder {{$color}}">
                                {{$order_status}}
                            </td>
                            <td>{{date('Y-m-d',strtotime($order->created_at))}}</td>
                            <td>
                                <a href="{{route('show_order',['id'=>$order->id])}}" class="btn" data-bs-toggle="tooltip" data-bs-placement="top" title="show">
                                    <i class="px-2 fa-solid fa-eye"></i>
                                </a>

                                {{--  <a href="#" class="confirm_del_order" data-order_id="{{$order->id}}" data-bs-toggle="tooltip" data-bs-placement="top" title="delete">
                                    <i class="px-2 fa-solid fa-trash-can red"></i>
                                </a>  --}}

                                @if ($order->order_status == 1)
                                    <a href="{{route('edit_order',['id'=>$order->id])}}" class="btn" data-bs-toggle="tooltip" data-bs-placement="top" title="edit">
                                        <i class="px-2 fa-solid fa-pen-to-square green"></i>
                                    </a>
                                @endif

                            </td>
                        </tr>
                        @endforeach
                    @endif
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection

@section('script')
    <script>
        $('.confirm_del_order').each(function(){
            $(this).on('click',function(ev){
                var elm = $(this);
                ev.preventDefault()
                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            data:{'id':elm.data('order_id')},
                            url:'del_order',
                            success: function (data) {
                                console.log(data)
                                if(data.status == 'success'){
                                    Swal.fire({
                                        title: 'Deleted',
                                        text: "your order # "+elm.data('order_id')+" has been deleted!",
                                        type: 'success',
                                        confirmButtonColor: '#35fd80',
                                        showConfirmButton:false,
                                        confirmButtonText: 'OK',
                                        timer:1000
                                    })
                                    elm.parent().parent().remove()
                                }else{
                                    Swal.fire({
                                        title: "Sorry can't delete this order",
                                        type: 'error',
                                        confirmButtonColor: '#35fd80',
                                        confirmButtonText: 'OK',
                                        })
                                }
                            }
                        });
                    }
                })
            })
        })
    </script>
@endsection
