@extends('layouts.app')
@section('title')
@php
    $language  = app()->getLocale();
@endphp
@if ($language == 'ar')
    التقارير
@else
    Reports
@endif

@endsection
@push('styles')
<link rel="stylesheet"
    href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css" />
@endpush
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
    {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title py-2 mb-0 darkblue">{{ __('messages.reports') }}</h5>
            <div class="row">
                <div class="col-md-3 form-group">
                    <select name="model" id="model" class="form-control select">
                        <option value="Category">Category</option>
                        <option value="Product">Products</option>
                        <option value="Order">Orders</option>
                        <option value="Invoices">Invoices</option>
                        {{--  <option value="Inventory">Inventory</option>  --}}
                        <option value="Purchase">Purchases</option>
                    </select>
                </div>
                <div class="col-md-6 form-group">
                    <div id="reportrange"  class="form-control" value="01/01/2022 - 01/15/2022" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
                        <i class="fa fa-calendar blue"></i>&nbsp;
                        <span></span> <i class="fa fa-caret-down blue"></i>
                    </div>
                </div>
              {{--   <div class="row input-daterange form-group">
                    <div class="col-md-3 form-group">
                        <input type="text" name="from_date" id="from_date" class="form-control" placeholder="From Date"
                            readonly />
                    </div>
                    <div class="col-md-3 form-group">
                        <input type="text" name="to_date" id="to_date" class="form-control" placeholder="To Date"
                            readonly />
                    </div>
                </div>--}}
                <div class="col-md-3 form-group">
                    <button type="button" name="filter" id="filter" class="btn bg-blue text-white">Filter</button>
                    {{-- <button type="button" name="refresh" id="refresh" class="btn btn-default">Refresh</button> --}}
                </div>
                <br />
            </div>

            <div class="row">
                <div class="col-3">
                    <button id="print_report" class="btn btn-secondary border-none buttons-pdf buttons-html5 bg-darkblue d-none mb-2 p-1" data-bs-toggle="tooltip" data-bs-placement="top" title="Print Pdf" >
                       <img src="{{asset('assets/images/pdf.png')}}" width="20px" height="20px">
                       {{--  <i class="fa fa-file-pdf-o text-white" aria-hidden="true" ></i>  --}}
                    </button>
                    {{--  <button id="print_report_csv" onclick="tablesToExcel(['order_table_summary','order_table_detailes'], ['SummaryReport','DetailedReport'], 'Report.xls', 'Excel')" class="btn btn-secondary border-none buttons-excel buttons-html5 bg-success d-none mb-2 p-1" data-bs-toggle="tooltip" data-bs-placement="top" title="Print Pdf" >  --}}
                    <button id="print_report_csv"  class="btn btn-secondary border-none buttons-excel buttons-html5 bg-success d-none mb-2 p-1" data-bs-toggle="tooltip" data-bs-placement="top" title="Print Pdf" >
                       <img src="{{asset('assets/images/csv.png')}}" width="20px" height="20px">
                       {{--  <i class="fa fa-file-pdf-o text-white" aria-hidden="true" ></i>  --}}
                    </button>
                </div>
            </div>

            <div id="report">
                <div class="row">
                    <div class="col-12">
                        <h5 class="text-center d-none" style="background-color: #eee;padding: 8px 0;" id="summary">
                            <span>Summary Report</span>
                            <span class="report_date"></span>
                        </h5>
                        <table id="order_table_summary" class="display nowrap table table-striped w-100" style="width:100%">
                            <thead>

                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <h5 class="text-center d-none" style="background-color: #eee;padding: 8px 0;margin-top: 10px;" id="detailes">
                            <span>Detailed Report</span>
                            <span class="report_date"></span>
                        </h5>
                        <table id="order_table_detailes" class="display nowrap table table-striped w-100" style="width:100%">
                            <thead>

                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


@endsection
@section('script')
<script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>
<script>
    var my_columns1     = [];
    var my_columns2     = [];
    var globalData      = {};
    var reportData      = [];
    var from_date_report = '',
        to_date_report   = '';
    var table;
    $(function() {
        var start = moment().subtract(29, 'days');
            var end = moment();
            function cb(start,end) {
                $('#reportrange span').html(start.format('MMMM D,YYYY') + ' - ' + end.format('MMMM D, YYYY'));
            }
            $('#reportrange').daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                'Today': [moment(), moment()],
                'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                'This Month': [moment().startOf('month'), moment().endOf('month')],
                'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                }
            },cb);
            cb(start, end);
    });

    $('.input-daterange').datepicker({
        todayBtn: 'linked'
        , format: 'yyyy-mm-dd'
        , autoclose: true
    });

    $('#filter').click(function(e) {
        if(!$('#summary').hasClass('d-none')){
            $('#summary').addClass('d-none').toggleClass('d-flex justify-content-between');
        }
        var from_date =  $('#reportrange').data('daterangepicker').startDate.format('YYYY-MM-DD') ;
        var to_date = $('#reportrange').data('daterangepicker').endDate.format('YYYY-MM-DD') ;
        var model = $('#model').val();
        if (from_date != '' && to_date != '' && model != '') {
            from_date_report = from_date;
            to_date_report   = to_date;
            $.ajax({
                "processing": true,
                "serverSide": true,
                url: '{{ route("getReports") }}',
                data: {
                    from_date: from_date
                    , to_date: to_date
                    , model
                },
                success: function (data) {
                    reportData = data;
                    if($('#print_report').hasClass('d-none')){
                        $('#print_report').toggleClass('d-none ');
                    }
                    if($('#print_report_csv').hasClass('d-none')){
                        $('#print_report_csv').toggleClass('d-none ');
                    }
                    my_columns1 = [];
                    globalData = data;
                    $.each(data.data1.original.data[0], function( key, value ) {
                                var my_item = {};
                                my_item.data = key;
                                key1 = key.replace("_", " ");
                                my_item.title =key1.charAt(0).toUpperCase()+ key1.slice(1);
                                my_columns1.push(my_item);
                        })

                    if($('#summary').hasClass('d-none')){
                        $('#summary').toggleClass('d-none d-flex justify-content-between');
                        $('#summary').children('.report_date').text(from_date_report+' - '+to_date_report)
                    }

                    $('#order_table_summary').children('thead').children().remove();
                    $('#order_table_summary').children('tbody').children().remove();

                    var summary_thead = '<tr>';
                    $.each(my_columns1,function(index,name){
                        summary_thead +=`
                                            <td>`+name.title+`</td>
                                        `;
                    })
                    summary_thead +='</tr>';

                    $('#order_table_summary').children('thead').append(summary_thead);

                    var summary_tbody = '';
                    $.each(data.data1.original.data,function(index,obj_data){
                        summary_tbody+='<tr>';
                        $.each(obj_data,function(key,value){
                            summary_tbody+=`
                                                <td>`+value+`</td>
                                            `;
                        })
                        summary_tbody +='</tr>';
                    })

                    $('#order_table_summary').children('tbody').append(summary_tbody);
                    if($('#order_table_detailes').children('thead').children() != undefined){
                        $('#order_table_detailes').children('thead').children().remove();
                        $('#order_table_detailes').children('tbody').children().remove();
                    }
                    if(data.data2 != undefined){
                        my_columns2 = [];
                        $.each(data.data2.original.data[0], function(key3,value2 ) {
                            var my_item = {};
                            my_item.data = key3;
                            key1 = key3.replace("_", " ");
                            my_item.title =key1.charAt(0).toUpperCase()+ key1.slice(1);
                            my_columns2.push(my_item);
                        })
                        if($('#detailes').hasClass('d-none')){
                            $('#detailes').toggleClass('d-none d-flex justify-content-between');
                            $('#detailes').children('.report_date').text(from_date_report+' - '+to_date_report)
                        }else{
                            $('#detailes').children('.report_date').text(from_date_report+' - '+to_date_report)
                        }
                        $('#order_table_detailes').children('thead').children().remove();
                        $('#order_table_detailes').children('tbody').children().remove();
                        var detailes_thead = '<tr>';
                        $.each(my_columns2,function(index,name){
                            detailes_thead +=`
                                                <td>`+name.title+`</td>
                                            `;
                        })
                        $('#order_table_detailes').children('thead').append(detailes_thead);
                        var detailes_tbody = '';
                        $.each(data.data2.original.data,function(index,obj_data){
                            detailes_tbody+='<tr>';
                            $.each(obj_data,function(key,value){
                                detailes_tbody+=`
                                                    <td>`+value+`</td>
                                                `;
                            })

                            detailes_tbody +='</tr>';
                        })
                        $('#order_table_detailes').children('tbody').append(detailes_tbody);
                    }else{
                        if(!$('#detailes').hasClass('d-none')){
                            $('#detailes').toggleClass('d-none d-flex justify-content-between');
                        }
                    }
                    $('#semple').append($('#report').html())

                }
            });
        } else {
            alert('Both Date and Category are required');
        }


    });

    $('#print_report').on('click',function(){
        alert('pdf');
        $.ajax({
            type: 'post',
            url: '{{route("print_report")}}',
            data: {
                'type'  : 1,
                'table' : $('#report').html()
            },
            dataType: 'html',
            success: function (html) {
                w = window.open(window.location.href,"_blank");
                w.document.open();
                w.document.write(html);
                w.document.close();
                //w.window.print();
            },
            error: function (data) {
                console.log('Error:', data);
            }
        });
    })

    $('#print_report_csv').on('click',function(){
        alert('csv');
        if($('#model').val() == 'Category' || $('#model').val() == 'Products'){
            obj = {
                'type'          : 2 ,// 1 pdf 2 csv
                'report_type'   : 1,
                'table1'        : $('#order_table_summary').html(),
                'table2'        : $('#order_table_detailes').html(),
                'date'          : from_date_report + '-' + to_date_report
            }
        }else{
            obj = {
                'type'          : 2 ,// 1 pdf 2 csv
                'report_type'   : 2,
                'table1'        : $('#order_table_summary').html(),
                'table2'        : $('#order_table_detailes').html(),
                'date'          : from_date_report + '-' + to_date_report
            }
        }
        $.ajax({
            type: 'post',
            url: '{{route("print_report")}}',
            data: obj,
            xhrFields:{
                responseType: 'blob'
            },
            success: function(data)
            {
                var link = document.createElement('a');
                link.href = window.URL.createObjectURL(data);
                link.download = $('#model').val() +` Report `+from_date_report + '-' + to_date_report+`.xlsx`;
                link.click();
                link.remove();
            },

            error: function (data) {
                console.log('Error:', data);
            }
        });
    })


</script>
@endsection
