@extends('layouts.app')
@section('title')
    Roles
@endsection
@section('content')
    <div class="col-md-12">
        <div class="main-card mb-3 card">
            <div class="card-body">
                @include('flash::message')
                <div class="d-flex justify-content-between align-items-center mb-3">
                    <h5 class="card-title p-2 mb-0 darkblue">{{ __('messages.roles') }}</h5>
                    <a style="text-decoration: none;" href="{{ route('roles.create') }}" class="bg-blue text-white p-2 border-round fw-bold">{{ __('messages.add_role') }}</a>
                </div>
                <table class="table table-striped w-100"data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                    <thead>
                    <tr class="darkblue">
                        {{--  <th>#</th>  --}}
                        <th>{{ __('messages.name') }}</th>
                        <th>{{ __('messages.action') }}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($roles as $role)
                        <tr>
                            {{--  <td>{{ $role->id }}</td>  --}}
                            <td>{{ $role->name }}</td>
                            <td>
                                <div class="d-flex align-items-center">
                                    <a href="{{ route('roles.edit', $role->id) }}"><i class="px-2 fa-solid fa-pen-to-square green"></i></a>
                                    <a href="{{ route('roles.show', $role->id) }}"><i class="px-2 fa-solid fa-eye"></i></a>
                                    <form class="mb-0" action="{{route('roles.destroy', $role->id)}}" method="post">
                                        @csrf
                                        @method('delete')
                                        <button type="submit" value="delete"
                                                class="btn p-0"><i class="px-2 fa-solid fa-trash-can red"></i> </button>
                                    </form>
                                </div>

                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection

