@extends('layouts.app')
@section('title')
Edit Supplier
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
        {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">{{ __('messages.edit_supplier') }}</h5>
            <form action="{{route('suppliers.update', $supplier->id)}}" method="POST">
                @csrf
                {{ method_field('PATCH') }}
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class="">{{ __('messages.name') }}</label>
                        <input required name="name" id="name" placeholder="{{ __('messages.name') }}" class="form-control" value="{{ $supplier->name }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="email" class="">{{ __('messages.email') }}</label>
                        <input required name="email" id="email" placeholder="{{ __('messages.email') }}" class="form-control" value="{{ $supplier->email }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="registeration_number" class="">{{ __('messages.reg_num') }}</label>
                        <input required name="registeration_number" id="registeration_number" placeholder="{{ __('messages.reg_num') }}" class="form-control" value="{{ $supplier->registeration_number }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="vat_number" class="">{{ __('messages.vat_num') }}</label>
                        <input required name="vat_number" id="vat_number" placeholder="{{ __('messages.vat_num') }}" class="form-control" type="text" value="{{ $supplier->vat_number }}">
                    </div>
                    {{--  <div class="position-relative form-group col-md-6">
                        <label for="payment_method" class="">{{ __('messages.payment_method') }}</label>
                        <input required name="payment_method" id="payment_method" placeholder="{{ __('messages.payment_method') }}" class="form-control" value="{{ $supplier->payment_method }}">
                    </div>  --}}
                    <div class="position-relative form-group col-md-6">
                        <label for="city" class="">{{ __('messages.city') }}</label>
                        <input required name="city" id="city" placeholder="{{ __('messages.city') }}" class="form-control" value="{{ $supplier->city }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="country" class="">{{ __('messages.country') }}</label>
                        <input required name="country" id="country" placeholder="{{ __('messages.country') }}" class="form-control" value="{{ $supplier->country }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="address" class="">{{ __('messages.address') }}</label>
                        <input required name="address" id="address" placeholder="{{ __('messages.address') }}" class="form-control"value="{{ $supplier->address }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person" class="">{{ __('messages.contactPerson') }}</label>
                        <input required name="contact_person" id="contact_person" placeholder="{{ __('messages.contactPerson') }}" class="form-control" value="{{ $supplier->contact_person }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_phone" class="">{{ __('messages.contactPersonNum') }}</label>
                        <input type="number" required name="contact_person_phone" id="contact_person_phone" placeholder="{{ __('messages.contactPersonNum') }}" class="form-control"  value="{{ $supplier->contact_person_phone }}">
                        <span class="text-danger" id="conf_error"><small>ex:00966XXXXXX</small></span>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_email" class="">{{ __('messages.contactPersonEmail') }}</label>
                        <input required type="email" name="contact_person_email" id="contact_person_email" placeholder="{{ __('messages.contactPersonEmail') }}" class="form-control"  value="{{ $supplier->contact_person_email }}">
                    </div>
                </div>
                <a href="{{route('suppliers.index')}}"  class="mt-1 btn btn-danger">{{ __('messages.back') }}</a>
                <button class="mt-1 btn btn-primary text-white">{{ __('messages.save') }}</button>
            </form>
        </div>
    </div>
</div>
@endsection
