@extends('layouts.app')
@section('title')
    Suppliers
@endsection
@section('content')
    <div class="col-md-12">
        <div class="main-card mb-3 card">
            <div class="card-body">
                @include('flash::message')
                <div class="d-flex justify-content-between align-items-center mb-3">
                    <h5 class="card-title p-2 mb-0 darkblue">{{ __('messages.suppliers') }}</h5>
                    <a style="text-decoration: none;" href="{{ route('suppliers.create') }}" class="bg-blue text-white p-2 border-round fw-bold">{{ __('messages.add_supplier') }}</a>
                </div>
                <table class="table table-striped w-100"data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                    <thead>
                    <tr class="darkblue">
                        {{--  <th>#</th>  --}}
                        <th>{{ __('messages.name') }}</th>
                        <th>{{ __('messages.reg_num') }}</th>
                        <th>{{ __('messages.vat_num') }}</th>
                        <th>{{ __('messages.action') }}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($suppliers as $supplier)
                        <tr>
                            {{--  <td>{{ $supplier->id }}</td>  --}}
                            <td>{{ $supplier->name }}</td>
                            <td>{{ $supplier->registeration_number }}</td>
                            <td>{{ $supplier->vat_number }}</td>
                            <td>
                                <div class="d-flex align-items-center">
                                    <a href="{{ route('suppliers.edit', $supplier->id) }}"><i class="px-2 fa-solid fa-pen-to-square green"></i></a>
                                    <a href="{{ route('suppliers.show', $supplier->id) }}"><i class="px-2 fa-solid fa-eye"></i></a>
                           </div>

                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection


@section('script')
<script>
    $(document).ready(function(){
        $('.del_supplier').each(function(){
            $(this).on('click',function(event){
                var elm = $(this);
                event.preventDefault();

                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            url:elm.attr('href'),
                            success: function (data) {
                                Swal.fire({
                                    title: 'Deleted',
                                    text: "your supplier has been deleted!",
                                    type: 'success',
                                    confirmButtonColor: '#35fd80',
                                    showConfirmButton:false,
                                    confirmButtonText: 'OK',
                                    timer:1000
                                })
                                    // window.location.href = base_url + 'dashboard/orders';
                                window.location.href = base_url + 'dashboard/suppliers';
                            }
                        });
                    }
                })
            })
        })
    })
</script>
@endsection
