@extends('layouts.app')
@section('title')
Support Issues
@endsection
@section('content')

<body>
    <div class="col-md-12">
        <div class="main-card mb-3 card">
            <div class="card-body">
                @include('flash::message')
                <div class="d-flex justify-content-between align-items-center mb-3">
                    <h5 class="card-title p-2 mb-0 darkblue">{{ __('messages.supporting_issue') }}</h5>
                </div>
                <table class="table table-striped w-100" data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                    <thead>
                        <tr class="darkblue">
                            <th>#</th>
                            <th>{{ __('messages.name') }}</th>
                            <th>{{ __('messages.phone') }}</th>
                            <th>{{ __('messages.email') }}</th>
                            <th>{{ __('messages.preview') }}</th>
                            <th>{{ __('messages.status') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($supports as $support)
                        <tr>
                            <td>{{ $support->id }}</td>
                            <td>{{ $support->name}}</td>
                            <td>{{ $support->phone}}</td>
                            <td>{{ $support->email}}</td>
                            <td>
                                <div class="d-flex align-items-center">
                                    <a href="{{ route('showSupport_card', $support->id) }}"><i class="px-2 fa-solid fa-eye"></i></a>
                                </div>
                            </td>
                            <td>
                                <div class="form-check">
                                    <input class="form-check-input status" type="checkbox" {{ ($support->status == 1) ?
                                    'checked' : ''}} value="{{ ($support->status == 1) ? 'true' : 'false'}}" id="status" data="{{ $support->id }}">
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</body>
@endsection
@section('script')
<script type="text/javascript" src="{{ asset('assets/js/sweetalert.min.js') }}"></script>
<script>
    $(document).ready(function() {
        $(".status").each(function(i) {
            $(this).attr('id', "status" + (i + 1));
        });
        var status = $('.status').each(function() {});
        const count = $('.status').each(function() {}).length;
        $(".status").each(function(index) {
            index++;
            if (index => 0 || index == count - 1) {
                if ($('#status' + index).prop('checked')) {
                    $("#status" + index).prop('disabled', true);
                    index = index + 1;
                }
                else {
                    $(document).on("click", "#status" + index, function(event) {
                        var status = 0;
                        swal({
                            title: "Are you sure that you want to mark this as done?"
                            , text: "If you do this, it will be archive forever."
                            , icon: "warning"
                            , type: "warning"
                            , buttons: ["Cancel", "Yes!"]
                            , confirmButtonClass: 'btn bg-darkblue text-white'
                            , cancelButtonColor: '#d33'
                            , confirmButtonText: 'Yes, archive it!'
                        }).then((willDelete) => {
                            if (willDelete) {
                                var id = $('#status' + index).attr("data");
                                $("#status" + index).prop('disabled', true);
                                status = 1;
                                $.ajax({
                                    type: "GET"
                                    , url: '{{ route("storeValue") }}'
                                    , data: {
                                        status
                                        , _token: '{{csrf_token()}}'
                                        , id
                                    }
                                    , headers: {
                                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                    }
                                    , success: function() {
                                        $('#status' + index).prop("value", true).change();
                                    }
                                })
                                index = index + 1;
                            }
                        });
                    });
                }
            }
        });
    });

</script>
@endsection

