@extends('layouts.app')
@section('title')
Edit User
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
        {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">{{ __('messages.edit_user') }}</h5>
            <form action="{{route('users.update', $user->id)}}" method="POST" method="POST" enctype="multipart/form-data">
                @csrf
                <input type="hidden" name="conf_type"  id ="conf_type" value="0">
                {{ method_field('PATCH') }}
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class="">{{ __('messages.full_name') }}</label>
                        <input name="name" id="name" placeholder="{{ __('messages.full_name') }}" class="form-control" value="{{ $user->name }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="username" class="">{{ __('messages.username') }}</label>
                        <input name="username" id="username" placeholder="{{ __('messages.username') }}" class="form-control"value="{{ $user->username }}">
                    </div>

                    <div class="position-relative form-group col-md-6">
                        <label for="email" class="">{{ __('messages.email') }}</label>
                        <input name="email" id="email" placeholder="{{ __('messages.email') }}" class="form-control" type="email"value="{{ $user->email }}">
                    </div>
                    <div class="position-relative form-group col-md-4">
                        <label for="password" class="">{{ __('messages.password') }}</label>
                        <input type="password" name="password" id="password" placeholder="{{ __('messages.password') }}" class="form-control"value="{{ $user->password }}">
                    </div>
                    <div class="position-relative form-group col-md-2 d-flex justify-content-center align-items-center mb-0">
                        <a href="#" class=" btn btn-primary text-white change_pass" style="margin-top:15px;font-size: 14px">{{__('messages.change_pass_btn')}}</a>
                    </div>

                    <div class="position-relative form-group col-md-6 confirm_password d-none">
                        <label for="password" class="">{{ __('messages.confirm_password') }}</label>
                        <input type="password" name="confirm_password" id="confirm_pass_input" placeholder="{{ __('messages.confirm_password') }}" class="form-control">
                        <span class="text-danger" id="conf_error"><small></small></span>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="residence_id" class="">{{ __('messages.residence_id') }}</label>
                        <input name="residence_id" id="residence_id" placeholder="{{ __('messages.residence_id') }}" class="form-control" value="{{ $user->residence_id }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="role" class="">{{ __('messages.role') }}</label>
                        <select name="role" id="role" class="form-control">
                            <option value="" selected disabled hidden>{{ __('messages.choose') }} {{ __('messages.role') }}</option>
                            @foreach($roles as $type)
                                @if ($type->id != 4)
                                    @if( Auth::user()->role =='2' )
                                        @break
                                    @else
                                        @if ((Auth::user()->role =='1') && ($type->id == '3' || $type->id == '1'))
                                            @continue
                                        @else
                                            @if((Auth::user()->role =='3') && $type->id == '3')
                                                @continue
                                            @else
                                                <option value="{{ $type->id }}">{{ $type->name }}</option>
                                                <option value="{{ $type->id }}" <?php if ($type->id == $user->role) echo"selected";?>  >{{ $type->name }}</option>
                                            @endif
                                        @endif
                                    @endif
                                @endif
                            @endforeach
                        </select>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="shift_from" class="">{{ __('messages.shiftfrom') }}</label>
                        <input name="shift_from" id="shift_from" placeholder="{{ __('messages.shiftfrom') }}" class="form-control" type="time" step="36000"value="{{ $user->shift_from }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="shift_to" class="">{{ __('messages.shiftto') }}</label>
                        <input name="shift_to" id="shift_to" placeholder="{{ __('messages.shiftto') }}" class="form-control" type="time" step="36000" value="{{ $user->shift_to }}">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="phone" class="">{{ __('messages.phone') }}</label>
                        <input name="phone" id="phone" placeholder="{{ __('messages.phone') }}" class="form-control" type="phone" value="{{ $user->phone }}">
                    </div>
                </div>
                <a href="#"  class="mt-1 btn btn-danger cancel_btn">{{ __('messages.back') }}</a>
                <button class="mt-1 btn btn-primary text-white">{{ __('messages.save') }}</button>
            </form>
        </div>
    </div>
</div>
@endsection

@section('script')

<script>
    var last_pass = $('#password').val();
    $('.change_pass').on('click',function(event){
        event.preventDefault();

        if($('.confirm_password').hasClass('d-none')){
            $('#conf_type').val(1)
            $('#password').val('');
        }else{
            $('#conf_type').val(0)
            $('#password').val(last_pass);
        }
        $('.confirm_password').toggleClass('d-none')
    })

    $('#confirm_pass_input').on('keyup',function(){
        if($('#confirm_pass_input').val() != $('#password').val()){
            $('#conf_error').children('small').text('Confirm password should by matched password')
        }else{
            $('#conf_error').children('small').text('Confirm password matched password')
            $('#conf_error').toggleClass('text-danger text-success')
        }
    })
</script>
@endsection
