<?php

use App\Models\Invoice;
use App\Models\Product;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Artisan;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\LangController;
use Illuminate\Support\Facades\Redirect;
use App\Http\Controllers\SettingsController;
use App\Http\Controllers\dashboard\RoleController;
use App\Http\Controllers\dashboard\UserController;
use App\Http\Controllers\dashboard\ImageController;
use App\Http\Controllers\dashboard\ReportController;
use App\Http\Controllers\dashboard\ProductController;
use App\Http\Controllers\dashboard\SupportController;
use App\Http\Controllers\dashboard\CategoryController;
use App\Http\Controllers\dashboard\PurchaseController;
use App\Http\Controllers\dashboard\SupplierController;
use App\Http\Controllers\Auth\ForgotPasswordController;
use App\Http\Controllers\dashboard\InventoryController;
use App\Http\Controllers\dashboard\IngredientController;
use App\Http\Controllers\dashboard\Order_InvoicesController;
use Illuminate\Support\Facades\Hash;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', [HomeController::class, 'index'])->name('home');
Route::get('/dashboard', [HomeController::class, 'index'])->name('dashboard');

// Route::get('/', function () {
//     return view('layouts/master');
// });
// Route::get('/dashboard', function () {
//     return view('layouts/master');
// });

Auth::routes(['register' => false]);

Route::get('/forget_pass_page',[ForgotPasswordController::class,'forget_pass_page'])->name('forget_pass_page');

Route::get('/change_password/{tok}',[ForgotPasswordController::class,'change_password'])->name('change_password');
Route::post('/resetpassword',[ForgotPasswordController::class,'reset_pass'])->name('resetpassword');

Route::post('/send_email',[ForgotPasswordController::class,'forgetpassword'])->name('forgetpassword');
Route::get('/forgetPassword',[ForgotPasswordController::class,'getEmail'])->name('getEmail');

Route::get('logout', function ()
{
    // dd(auth()->user()->email);
    Auth::attempt(['email' => auth()->user()->email, 'password' => auth()->user()->password], false);
    // auth()->logout();
    Auth::guard('user')->logout();
    Session()->flush();

    return Redirect::to('/');
});
// resources
Route::prefix('dashboard')->middleware('auth')->group(function () {
    Route::get('/',[HomeController::class,'index'])->name('dashboard_page');
    // --------------------------------- start categories routes ---------------------------------------
    Route::group(['prefix' => '/categories'], function () {
        Route::get('/index', [CategoryController::class, 'index'])->name('categories.index');
        Route::get('/show/{id}', [CategoryController::class, 'getById'])->name('categories.show');
        Route::get('/create', [CategoryController::class, 'create'])->name('categories.create');
        Route::get('/edit/{id}', [CategoryController::class, 'edit'])->name('categories.edit');
        Route::post('/store', [CategoryController::class, 'store'])->name('categories.store');
        Route::get('/delete/{id}', [CategoryController::class, 'destroy'])->name('categories.delete');
        Route::get('/update/{id}', [CategoryController::class, 'edit'])->name('categories.update');
    });
    // Route::resource('categories', CategoryController::class);
    // Route::get('/del_cat/{id}',[CategoryController::class,'destroy'])->name('del_cat');
    // Route::resource('products', ProductController::class);
    // Route::get('/del_product/{id}',[ProductController::class,'destroy'])->name('del_product');

    // --------------------------------- Start Users Routes --------------------------------------------
    Route::group(['prefix'=>'/users'],function(){
        // get all users
        Route::get('/all_users',[UserController::class,'all_users'])->name('all_users');
        // show user
        Route::get('/show_user/{id}',[UserController::class,'show_user'])->name('show_user');
        // add new user
        Route::get('/add_user',[UserController::class,'add_user'])->name('add_user');
        //edit user
        Route::get('/edit_user/{id}',[UserController::class,'edit_user'])->name('edit_user');
        //insert update user
        Route::post('/insert_update_user',[UserController::class,'insert_update_user'])->name('insert_update_user');
        // delete user
        //Route::resource('users', UserController::class);
        Route::get('/del_user/{id}',[UserController::class,'destroy'])->name('del_user');

        // profile
        Route::get('/profile/{id}',[UserController::class,'edit_user'])->name('profile');
    });

    // --------------------------------- End Users Routes --------------------------------------------


    // Route::resource('categories', CategoryController::class);
    Route::resource('products', ProductController::class);
    Route::get('/delete-product/{id}',[ProductController::class,'destroy'])->name('delete_product');

    Route::resource('users', UserController::class);
    Route::resource('roles', RoleController::class);
    Route::resource('suppliers', SupplierController::class);

    Route::resource('purchases', PurchaseController::class);
    Route::get('/del_purchase/{id}',[PurchaseController::class,'destroy'])->name('delete_purchase');

    Route::resource('ingredients', IngredientController::class);
    Route::resource('settings', SettingsController::class);
    Route::resource('inventories', InventoryController::class);
    Route::resource('reports', ReportController::class);
    Route::get('/getReports',[ReportController::class,'getReports'])->name('getReports');
    Route::get('/uploadFiles',[HomeController::class,'uploadFiles_page'])->name('uploadFiles_page');
    Route::post('/uploadFile', [HomeController::class, 'uploadContent'])->name('uploadFile');
    Route::post('/uploadContent/{i}', [HomeController::class, 'uploadContent','i'])->name('uploadContent');
    Route::get('/getDownload/{i}', [HomeController::class, 'getDownload','i'])->name('getDownload');

    Route::get('products/delete_i/{id}', [ProductController::class, 'delete_i'])->name('delete_i');
    Route::post('purchases/getItem', [PurchaseController::class, 'getItem'])->name('getItem');
    Route::get('/get_supplier',[PurchaseController::class,'get_supplier'])->name('get_supplier');

    Route::get('/supports',[ SupportController::class, 'index'])->name('supports');
    Route::get('inventories/delete_item/{id}', [InventoryController::class, 'delete_item'])->name('delete_item');
    Route::get('/support',[ SupportController::class, 'contact'])->name('support');
    Route::post('/support',[ SupportController::class, 'contactPost'])->name('contactPost');
    Route::get('/support_card/{id}',[ SupportController::class, 'showSupport','id'])->name('showSupport_card');
    Route::get('/done_card/{id}',[ SupportController::class, 'DoneCard','id'])->name('doneCard');
    Route::get('/storeValue',[ SupportController::class, 'storeValue'])->name('storeValue');
    Route::get('/displayReport',[ReportController::class,'displayReport'])->name('displayReport');
    Route::get('/getdata',[ReportController::class,'data'])->name('getdata');


    // all orders routes
    Route::get('/orders',[Order_InvoicesController::class,'orders'])->name('orders');
    Route::get('/add_order',[Order_InvoicesController::class,'add_order'])->name('add_order');
    Route::post('/insert_update_order',[Order_InvoicesController::class,'insert_update_order'])->name('insert_update_order');
    Route::get('/cancel_order',[Order_InvoicesController::class,'cancel_order'])->name('cancel_order');
    Route::get('/close_order',[Order_InvoicesController::class,'close_order'])->name('close_order');
    Route::get('/print_order/{id}',[Order_InvoicesController::class,'print_order'])->name('print_order');
    Route::get('/get_products',[Order_InvoicesController::class,'get_products'])->name('get_products');
    // get each 2 menutes all opining orders
    Route::get('/opening_orders/{exi_id}',[Order_InvoicesController::class,'opening_orders'])->name('opening_orders');


    Route::get('/show_order/{id}',[Order_InvoicesController::class,'show_order'])->name('show_order');
    Route::get('/edit_order/{id}',[Order_InvoicesController::class,'edit_order'])->name('edit_order');
    Route::get('/print_order/{id}',[Order_InvoicesController::class,'print_order'])->name('print_order');
    Route::get('/del_order',[Order_InvoicesController::class,'del_order'])->name('del_order');
    Route::get('/get_order',[Order_InvoicesController::class,'get_order'])->name('get_order');

    // all invoices routes
    Route::get('/invoices',[Order_InvoicesController::class,'all_invoices'])->name('all_invoices');
    Route::get('/show_invoice/{id}',[Order_InvoicesController::class,'show_invoice'])->name('show_invoice');
    Route::get('/print_invoice/{id}',[Order_InvoicesController::class,'print_invoice'])->name('print_invoice');

    // upload category and products files
    Route::post('/upload_files',[ImageController::class,'upload_files'])->name('upload_files');

    // print report
    Route::post('/print_report',[ReportController::class,'print_report'])->name('print_report');

});

Route::get('/uploadImages',[ ImageController::class, 'index'])->name('uploadImages');
// Route::post('/uploadImages',[ ImageController::class, 'uploadImages'])->name('uploadImages');

Route::get('lang/home', [LangController::class,'index']);
Route::get('lang/change/{locale}', [LangController::class,'change'])->name('changeLang');

Route::get('/test',[HomeController::class,'index']);

Route::get('/clear-cache', function() {
    $exitCode = Artisan::call('cache:clear');
     return dd('what you want');
});



// Route::get('/test',function(){
//     dd(Hash('123456'));
// })->name('home');
