<?php $__env->startSection('title'); ?>
Edit Purchase
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title"><?php echo e(__('messages.edit_purchase')); ?></h5>
            <form action="<?php echo e(route('purchases.update', $purchase->id)); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <?php echo e(method_field('PATCH')); ?>

                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class=""><?php echo e(__('messages.invoice')); ?></label>
                        <input required name="invoice" id="invoice" placeholder="<?php echo e(__('messages.invoice')); ?>" class="form-control" value="<?php echo e($purchase->invoice_number); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="image" class=""><?php echo e(__('messages.image')); ?></label>
                        <input type="file" name="image" id="image" class="form-control" onchange="putImage()"accept="image/*" />
                        <img id="show_img" class="img-fit" src="<?php echo e(asset('/images/'.$purchase->image)); ?>">
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="invoice_date" class=""><?php echo e(__('messages.invoice_date')); ?></label>
                        <input required name="invoice_date" id="invoice_date" placeholder="<?php echo e(__('messages.invoice_date')); ?>" class="form-control" type="date" value="<?php echo e(date('Y-m-d',strtotime($purchase->invoice_date ))); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="invoice_due_date" class=""><?php echo e(__('messages.invoice_due_date')); ?></label>
                        <input required name="invoice_due_date" id="invoice_due_date" placeholder="<?php echo e(__('messages.invoice_due_date')); ?>" class="form-control" type="date" value="<?php echo e(date('Y-m-d',strtotime($purchase->invoice_due_date))); ?>">
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="supplier" class=""><?php echo e(__('messages.supplier')); ?></label>
                        <select required name="supplier" id="supplier_select" class="form-control">
                            <option value="" selected disabled hidden><?php echo e(__('messages.choose')); ?> <?php echo e(__('messages.supplier')); ?></option>
                            <option value="other"><?php echo e(__('messages.add_new')); ?></option>
                            <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($supplier->id); ?>" <?php echo e($supplier->id == $purchase->supplier_id  ? 'selected' : ''); ?>><?php echo e($supplier->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="payment_method" class=""><?php echo e(__('messages.payment_method')); ?></label>
                        <input required name="payment_method" id="payment_method" placeholder="<?php echo e(__('messages.payment_method')); ?>" class="form-control" value="<?php echo e($purchase->payment_method); ?>">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="VAT_number" class=""><?php echo e(__('messages.vat_num')); ?></label>
                        <input required name="VAT_number" id="VAT_number" placeholder="<?php echo e(__('messages.vat_num')); ?>" class="form-control" value="<?php echo e($purchase->suppliers['vat_number']); ?>">
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="paid_amount" class=""><?php echo e(__('messages.paid_amount')); ?></label>
                        <input required name="paid_amount" id="paid_amount" placeholder="<?php echo e(__('messages.paid_amount')); ?>" class="form-control" value="<?php echo e($purchase->paid_amount); ?>" step="0.001">
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="total_amount" class=""><?php echo e(__('messages.total_amount')); ?></label>
                        <input required name="total_amount" id="total_amount" placeholder="<?php echo e(__('messages.total_amount')); ?>" class="form-control" type="number" value="<?php echo e($purchase->total_amount); ?>" step="0.001">
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="card rounded-0 border-0 shadow col-md-12">
                        <div class="card-body p-10">

                            <!--  Bootstrap table-->
                            <div class="col-md-12">
                                <table id="table" class="table table-bordered table-responsive-lg" id="tblCustomers " >
                                    <thead>
                                    <tr>
                                        <th scope="col" ><?php echo e(__('messages.item_en')); ?></th>
                                        <th scope="col"><?php echo e(__('messages.item_ar')); ?></th>
                                        <th scope="col"><?php echo e(__('messages.quantity')); ?></th>
                                        <th scope="col"><?php echo e(__('messages.measurement')); ?></th>
                                        <th scope="col"><?php echo e(__('messages.unit')); ?></th>
                                        <th scope="col"><?php echo e(__('messages.expiry_date')); ?></th>
                                        <th scope="col" style="width: 70px"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $__currentLoopData = $purchase->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e($item['name_en']); ?></td>
                                            <td><?php echo e($item['name_ar']); ?></td>
                                            <td><?php echo e($item['pivot']['quantity']); ?></td>
                                            <td><?php echo e($item['pivot']['mesurment']); ?></td>
                                            <td><?php echo e($item['unit']); ?></td>
                                            <td><?php echo e($item['pivot']['expire_date']); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>

                            <!-- Add rows button-->
                            <a class="btn btn-primary" id="insertRow" href="#"><?php echo e(__('messages.add')); ?></a>
                            <a class="btn btn-primary" id="insertRow_1" href="#"><?php echo e(__('messages.add_item')); ?></a><span style="font-weight: bold;">  <?php echo e(__('messages.add_new_item')); ?> </span>


                        </div>
                    </div>

                </div>
                <a href="#" class="mt-1 btn btn-danger back_btn"><?php echo e(__('messages.cancel')); ?></a>
                <button class="mt-1 btn bg-darkblue text-white"><?php echo e(__('messages.save')); ?></button>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>

<script>
        $(document).ready(function() {
            $("#supplier_select").on("change", function() {
                alert($(this).val())
                if ($(this).val() === "other") {
                    $("#otherName").show();
                   // $('#sname');
                    //document.getElementsById('svat');
                    $('#VAT_number').val('')
                }
                else {
                    $.ajax({
                        method:'get',
                        data:{'id':$(this).val()},
                        url:base_url+'dashboard/get_supplier',
                        //url:'http://localhost:8080/kuppitek/public/index.php/dashboard/close_order',
                        success: function (data) {
                            console.log(data)
                            $('#VAT_number').val(data.vat_number)
                        }
                    });
                    $("#otherName").hide();
                }
            });
        });
    </script>
<script>























</script>
<script>
    $(function () {

// Start counting from the third row
        var counter = 0;
        var jArray = <?php echo json_encode($items); ?>;
        $("#insertRow").on("click", function (event) {
            event.preventDefault();
            var newRow = $("<tr>");
            var cols = '';
            var option ;
            var option1 ;
            option='<option value=""   ><?php echo e(__('messages.select_item')); ?></option>';
            option1='<option value=""   ><?php echo e(__('messages.select_item')); ?></option>';
            for(var i=0; i<jArray.length; i++) {
                option +='<option value="' + jArray[i].name_en + '"   > ' + jArray[i].name_en + '</option>'
                option1 +='<option value="' + jArray[i].name_ar + '"   > ' + jArray[i].name_ar + '</option>'

                //  console.log(jArray[i].name_en);
                //$("#item_en").append('<option value="'+jArray[i].name_en+'"   > '+jArray[i].name_en+'</option>');
            }
        //    console.log(option);
            // Table columns
            // cols += '<td scrope="row">' + counter + '</td>';
            cols += '<td><select required  class="form-control rounded-0" name="item_en[]" id="item_en" > '+ option +' </select></td>';
            cols += '<td><select required class="form-control rounded-0" name="item_ar[]" id="item_ar" > '+ option1 +' </select></td>';
            cols += '<td><input required class="form-control rounded-0" type="number" name="quantity[]" id="quantity" style="width: 100%"></td>';
            cols += '<td><input required class="form-control rounded-0" type="number" name="measurement[]" id="measurement" style="width: 100%"></td>';
            cols += '<td><select name="unit[]" id="unit"><option value="g" selected="">g</option> <option value="kg">kg</option> <option value="l">l</option> <option value="ml">ml</option> <option value="piece">piece</option> </select></td>';
            cols += '<td><input required class="form-control rounded-0" type="date" name="expiry_date[]" id="expiry_date" style="width: 100%"></td>';
            cols += '<input type="hidden" name="detail_id[]" id="detail_id"   value =' + counter + '></td>';
            cols += '<td><button class="btn btn-danger rounded-0" id ="deleteRow"><i class="fa fa-trash"></i></button</td>';


            // Insert the columns inside a row
            newRow.append(cols);


            // // Insert the row inside a table
            $("#table").append(newRow);

            counter++;
        });
        // @endforech
// Remove row when delete btn is clicked
        $("#table").on("click", "#deleteRow", function (event) {
            $(this).closest("tr").remove();
            counter -= 1
        });
    });

    $(function () {

// Start counting from the third row
        var counter1 = 0;

        $("#insertRow_1").on("click", function (event) {
            event.preventDefault();
            var newRow_1 = $("<tr>");
            var cols_1 = '';

            // Table columns
            // cols += '<td scrope="row">' + counter + '</td>';
            cols_1 += '<td><input required class="form-control rounded-0" type="text" name="item_name_en[]" id="item_name_en" style="width: 100%"></td>';
            cols_1 += '<td><input required class="form-control rounded-0" type="text" name="item_name_ar[]" id="item_name_ar" style="width: 100%"></td>';
            cols_1 += '<td><input required class="form-control rounded-0" type="number" value="0" name="quantity_item[]" id="quantity" style="width: 100%"></td>';
            cols_1 += '<td><input required class="form-control rounded-0" type="number" value="0" name="measurement_item[]" id="measurement" style="width: 100%"></td>';
            cols_1 += '<td><select required name="item_unit[]" id="item_unit"><option value="g" selected="">g</option> <option value="kg">kg</option> <option value="l">l</option> <option value="ml">ml</option> <option value="piece">piece</option> </select></td>';
            cols_1 += '<td><input required class="form-control rounded-0" type="date" name="expiry_date_item[]" id="expiry_date_item" style="width: 100%"></td>';
            cols_1 += '<input type="hidden" name="detail_id_1[]" id="detail_id_1"   value =' + counter1 + '></td>';
            cols_1 += '<td><button class="btn btn-danger rounded-0" id ="deleteRow_1"><i class="fa fa-trash"></i></button</td>';


            // Insert the columns inside a row
            newRow_1.append(cols_1);

            // // Insert the row inside a table
            $("#table").append(newRow_1);

            counter1++;
        });

// Remove row when delete btn is clicked
        $("#table").on("click", "#deleteRow_1", function (event) {
            $(this).closest("tr").remove();
            counter1 -= 1
        });
    });


</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/POS/test/resources/views/dashboard/purchases/edit.blade.php ENDPATH**/ ?>