<?php $user = auth()->user();
$language = app()->getLocale();
if ($language == 'en')
    $lang='ar';
else
    $lang='en';
?>


<?php $__env->startSection('content'); ?>

    <div class="app-page-title">
        <div class="page-title-wrapper">
            <div class="page-title-heading">
                <div class="page-title-icon">
                    <img class="w-100" src="<?php echo e(asset('assets/images/favicon.png')); ?>" alt="">
                </div>
                <div class="darkblue"><?php echo e(__('messages.dashboard')); ?> - Kuppitek
                    <div class="page-title-subheading">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row mb-3">

        <div class="col-md-3 col-12 mb-2 box-shadow">
            <div class="card p-3">
                <div class="media text-center ">
                    <i class="fa-solid fa-4x m-auto fa-file-invoice"></i>
                    <div class="media-body">
                        <h4><?php echo e($invoice); ?></h4>
                        <span class="mt-0">
                        <?php if ($language == 'ar') echo 'إجمالي الفواتير';
                            else echo 'Total Invoices';?>
                        </span>
                    </div>
                </div>
            </div>
        </div>
            <div class="col-md-3 col-12 mb-2 box-shadow">
            <div class="card p-3">
                <div class="media text-center ">
                    <i class="fa-solid fa-3x m-auto fa-money-check"></i>
                    <div class="media-body">
                        <h4><?php echo e($total_amount); ?></h4>
                        <span class="mt-0">
                        <?php if ($language == 'ar') echo 'المبلغ الإجمالي';
                            else echo 'Total Amount';?>
                        </span>
                    </div>
                </div>
            </div>
        </div>
            <div class="col-md-3 col-12 mb-2 box-shadow">
            <div class="card p-3">
                <div class="media text-center ">
                    <i class="fa-solid fa-3x m-auto fa-coins"></i>
                    <div class="media-body">
                        <h4><?php echo e($taxable_amount); ?></h4>
                        <span class="mt-0">
                        <?php if ($language == 'ar') echo 'المبلغ مع الضريبة';
                            else echo 'Taxable Amount';?>
                        </span>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-3 col-12 mb-2 box-shadow">
            <div class="card p-3">
                <div class="media text-center ">
                <i class="fa-solid fa-3x m-auto fa-money-bill-1-wave"></i>
                    <div class="media-body">
                    <h4><?php echo e($tax_amount); ?></h4>
                    <span class="mt-0">
                    <?php if ($language == 'ar') echo 'قيمة الضريبة';
                            else echo 'Tax Amount';?>
                    </span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-8 col-xs-12">
            <div class="card p-1 mb-3" style="max-height: 350px;">
                <span><?php if ($language == 'ar') echo 'المنتجات';
                                    else echo 'Products';?>
                </span>
                <div id="productChart"></div>
            </div>
        </div>

        <div class="col-md-4 col-xs-12">
            <div class="card p-3 mb-3" style="height: 350px;">
                <h5 class="m-1"><?php if ($language == 'ar') echo 'أفضل 5 منتجات';
                        else echo 'Top 5 Products';?>
                </h5><br>
                <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">
                                <?php if ($language == 'ar') echo 'اسم المنتج';
                                            else echo 'Product Name';?>
                                </th>
                                <th scope="col"><?php if ($language == 'ar') echo 'عدد الطلبات';
                                            else echo 'Orders #';?>
                                </th>
                            </tr>
                        </thead>
                        <tbody>

                            <?php $__currentLoopData = $top_5_selling_products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $top_prod): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php if ($language == 'ar') echo $top_prod->name_ar;
                                            else echo  $top_prod->name_en;?> </td>
                                <td><?php echo e($top_prod->orders_count); ?></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </tbody>
                </table>
            </div>
        </div>

    </div>

    <div class="row">
        <div class="col-md-8 col-xs-12">
            <div class="card p-1 mb-3" style="max-height: 350px;">
                <span>
                    <?php if ($language == 'ar') echo 'الأصناف';
                            else echo 'Categories';?>
                </span>
                <div id="catChart"></div>
            </div>
        </div>

        <div class="col-md-4 col-xs-12">
            <div class="card p-3 mb-3" style="height: 350px;">
                <h5 class="m-1"><?php if ($language == 'ar') echo 'أفضل 5 أصناف';
                                    else echo 'Top 5 Categories';?>
                </h5><br>
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">
                                <?php if ($language == 'ar') echo 'اسم الصنف';
                                            else echo 'Category Name';?>
                            </th>
                            <th scope="col"><?php if ($language == 'ar') echo 'عدد الطلبات';
                                            else echo 'Orders #';?>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $top_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $top_cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($top_cat[1]>0): ?>
                                <tr>
                                    <td><?php if ($language == 'ar') echo $top_cat[2];
                                                    else echo  $top_cat[0];?> </td>
                                    <td><?php echo e($top_cat[1]); ?></td>
                                </tr>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="row">

        <div class="col-md-8 col-xs-12">
            <div class="card p-1 mb-3" style="max-height: 350px;">
                <span><?php if ($language == 'ar') echo 'الطلبات';
                        else echo 'Orders';?>
                </span>
                <div id="orderchart"></div>
            </div>
        </div>

        <div class="col-4 ">
        </div>

        </div>

        <div class="row">
            <div class="col-md-8 col-xs-12">
                <div class="card p-1 mb-3" style="max-height: 350px;">
                    <span><?php if ($language == 'ar') echo 'المخزون';
                                    else echo 'Inventory';?>
                    </span>
                    <div id="inventoryChart"></div>
                </div>
            </div>

            <div class="col-4 ">
            </div>
        </div>


<!-- Pie Chart -->
<script>
    // Order Chart - Dount
	var chart = bb.generate({
		data: {
		columns: [
			["Closed", <?php echo e($closed_orders); ?>],
            ["Cancelled", <?php echo e($cancelled_orders); ?>],
            ["Opened", <?php echo e($opened_orders); ?>],
		],
		type: "donut",
		},
		donut: {
		title: "",
		},
		bindto: "#orderchart",
	});

    // Inventory Chart - Bar
    var chart1 = bb.generate({
    data: {
        columns: <?=$inventory_chart?>,
        type: "bar",
    },
    bar: {
        width: {
            ratio: 0.5
        }
    },
    bindto: "#inventoryChart"
    });

    // Product Chart - Pie
    var chart2 = bb.generate({
    data: {
        columns: <?=$product_chart?>,
        type: "pie",
    },
    legend: {
        show: false
    },
    pie: {
        label: {
                format: function(value, ratio, id) {
                    return id;
                },
                tick: {
        rotate: 75,
      },
            }
    },
    bindto: "#productChart"
    });

    // Category Chart - Line
    var chart3 = bb.generate({
        data: {
        columns: <?=$cat_chart?>,
        type: "line",
        },
        axis: {
    x: {
      type: "category",
      categories: [
        "Jan",
        "Feb",
        "Mar",
        "Apr",
        "May",
        "Jun",
        "Jul",
        "Aug",
        "Sep",
        "Oct",
        "Nov",
        "Dec"
      ]
    }
  },
        bindto: "#catChart"
    });

</script>

<style>
    .bb-chart-lines {
        fill: none;
    }
    .bb-chart-arcs text {
        /*font-size:10px;*/
        overflow-wrap: break-word;
    }
</style>
<script src="http://maps.google.com/maps/api/js?sensor=true"></script>
<script type="text/javascript" src="<?php echo e(asset('assets/scripts/main.js')); ?>"></script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/test/resources/views/layouts/master.blade.php ENDPATH**/ ?>