<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title>Kuppitek - <?php echo $__env->yieldContent('title'); ?> </title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link href="<?php echo e(asset('assets/main.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets/css/dashboard.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets/css/select2.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets/css/sweetalert.min.css')); ?>" rel="stylesheet">
    
    <link  rel="stylesheet" href="<?php echo e(asset('assets/dist/css/bootstrap.min.css')); ?>"/>
    <link href="<?php echo e(asset('assets/dist/css/dataTables.bootstrap5.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets/dist/css/buttons.bootstrap5.min.css')); ?>" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
    <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
    <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
    
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatable.min.css')); ?>" />


    <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
    <?php echo $__env->yieldPushContent('styles'); ?>
    <link rel="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css" type="text/css"/>
    <script src=
    "https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
    <script	src="https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.2.2/Chart.min.js"></script>
    <!--<script type="text/javascript" src="<?php echo e(asset('assets/js/echarts.min.js')); ?>"></script>-->
    <script src="https://d3js.org/d3.v4.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/billboard.js/dist/billboard.min.js"></script>
    <script>
        //var base_url = "https://demo3.kuppitek.com/"
        //var base_url = "https://valve.kuppitek.com/"
        var base_url = "http://localhost:8080/kuppitek/public/index.php/"
    </script>
</head>
<body class="bg-plum-plate d-flex align-items-center flex-column justify-content-center h-100vh">

    <div class="modal-dialog w-100 mx-auto">
        <div class="modal-content">
            <div class="modal-body">
                <div class="h5 modal-title text-center">
                    <h4 class="mt-2">
                        Reset your password
                    </h4>
                </div>

                <div class="alert d-none" role="alert">
                </div>

                <form class="mb-0"method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="form-row py-2">
                        <div class="col-md-12">
                            <div class="mb-3 row">
                                <label for="staticEmail" class="col-md-4 col-12 col-form-label">User Email</label>
                                <div class="col-md-8 col-12">
                                    <input name="email" id="user_email"  placeholder="Enter Your email" type="email" class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                    <?php if($errors->has('email')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    <div class="modal-footer d-block">
                        <div class="row w-100 ml-0">
                            <div class="col-12 d-flex justify-content-center mb-3">
                                <a href="#" class="btn btn-primary reset_password" style="width: 90%">Reset</a>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>

    <script>
        $(document).ready(function(){
            $('.reset_password').on('click',function(event){
                event.preventDefault();
                $.ajax({
                    method:'post',
                    data:{
                        'email':$('#user_email').val(),
                        _token : $('meta[name="csrf-token"]').attr('content')
                    },
                    url:base_url+'send_email',
                    success: function (data) {
                        if(data.error != ''){
                            $('.alert').html(data.error)
                            $('.alert').addClass('alert-danger')
                            $('.alert').RemoveClass('alert-success')
                        }else{
                            $('.alert').html(data.message)
                            $('.alert').addClass('alert-success')
                            $('.alert').RemoveClass('alert-danger')

                        }
                        $('.alert').removeClass('d-none')

                    }
                });
            })
        })
    </script>
</body>
</html>







<?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/auth/passwords/forget_pass.blade.php ENDPATH**/ ?>