<?php $user = auth()->user();
$language = app()->getLocale();
if ($language == 'en')
    $lang='ar';
else
    $lang='en';
?>
<?php echo $__env->make('layouts.side_menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>"  <?php if($language == 'ar') echo 'direction="rtl" dir="rtl"'; ?>>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title>Kuppitek - <?php echo $__env->yieldContent('title'); ?> </title>
    
    <link rel="stylesheet" href="<?php echo e(asset('assets/fontawesome-free-6.1.1-web/css/all.css')); ?>">
    <link href="<?php echo e(asset('assets/main.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets/css/dashboard.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets/css/select2.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets/css/sweetalert.min.css')); ?>" rel="stylesheet">
    
    <link  rel="stylesheet" href="<?php echo e(asset('assets/dist/css/bootstrap.min.css')); ?>"/>
    <link href="<?php echo e(asset('assets/dist/css/dataTables.bootstrap5.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets/dist/css/buttons.bootstrap5.min.css')); ?>" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link href="<?php echo e(asset('assets/css/bootstrap-toggle.min.css')); ?>" rel="stylesheet">
    <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
    
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatable.min.css')); ?>" />



    <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
    <?php echo $__env->yieldPushContent('styles'); ?>
    <link rel="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>" type="text/css"/>
    <script src="<?php echo e(asset('assets/js/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bootstrap-toggle.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bootstrap.min.js')); ?>"></script>
    <script	src="<?php echo e(asset('assets/js/modernizr.min.js')); ?>" type="text/javascript"></script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.1/chart.min.js"></script>

    <!--<script type="text/javascript" src="<?php echo e(asset('assets/js/echarts.min.js')); ?>"></script>-->
    <script src="<?php echo e(asset('assets/js/d3.v4.min.js')); ?>"></script>
    <script src="https://cdn.jsdelivr.net/npm/billboard.js/dist/billboard.min.js"></script>

    <?php echo $__env->yieldPushContent('styles'); ?>

    <script>
        //var base_url = "https://demo3.kuppitek.com/"
        //var base_url = "https://valve.kuppitek.com/"
        var base_url    = "http://localhost:8080/kuppitek/public/",
            image_url   = "http://localhost:8080/kuppitek/public/";
       // var base_url    = "https://sa.kuppitek.com/kuppitek/public/",
         //   image_url   = "https://sa.kuppitek.com/kuppitek/public/";
    </script>
</head>
<body>
<div class="app-container app-theme-white body-tabs-shadow fixed-sidebar fixed-header">
    <div class="app-header header-shadow">
        <div class="app-header__logo">
            <div class="logo-src d-flex justify-content-center w-100">
                <div class="logo-src d-flex justify-content-center w-100">
                    <a href="<?php echo e(route('dashboard_page')); ?>">
                        <img  class="w-100per h-100per" src="<?php echo e(asset('assets/images/logo.jpeg')); ?>" alt="logo">
                    </a>
                </div>
            </div>
            <div class="header__pane ml-auto">
                <div>
                    <button type="button" class="hamburger close-sidebar-btn hamburger--elastic" data-class="closed-sidebar">
                            <span class="hamburger-box">
                                <span class="hamburger-inner"></span>
                            </span>
                    </button>
                </div>
            </div>
        </div>
        <div class="app-header__mobile-menu">
            <div>
                <button type="button" class="hamburger hamburger--elastic mobile-toggle-nav">
                        <span class="hamburger-box">
                            <span class="hamburger-inner"></span>
                        </span>
                </button>
            </div>
        </div>
        <div class="app-header__menu">
                <span>
                    <button type="button" class="btn-icon btn-icon-only btn bg-darkblue text-white btn-sm mobile-toggle-header-nav">
                        <span class="btn-icon-wrapper">
                            <i class="fa fa-ellipsis-v fa-w-6"></i>
                        </span>
                    </button>
                </span>
        </div>
        <div class="app-header__content">
            
            <div class="app-header-right ">
                <div class="class mx-3">
                    
                </div>
                <div class="header-btn-lg pr-0">
                    <div class="widget-content p-0">
                        <div class="widget-content-wrapper">
                            <div class="widget-content-left">
                                <a href="<?php echo e(route('settings.index')); ?>">
                                    <i class="fa-solid fa-gear metismenu-icon"></i>
                                    <?php echo e(__('messages.settings')); ?>

                                </a>
                            </div>
                            <div class="widget-content-left">

                                <a href="<?php echo e(route('changeLang',$lang)); ?>" class="menu-link d-flex px-5">
															<span class="symbol symbol-20px me-4 pr-1">
																<img class="rounded-1" style="width: 20px;" src="<?php if ($language == 'ar') echo asset('assets/images/united-states.svg'); else echo asset('assets/images/united-arab-emirates.svg'); ?>" alt="lang" />
															</span><?php
                                    if ($language == 'en') {
                                        echo "العربية";

                                    } else {
                                        echo "English";
                                    }
                                    ?>
                                </a>
                            </div>
                            <div class="widget-content-left">
                                <div class="btn-group">
                                    <a data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="p-0 btn">
                                        <?php echo e($user->name); ?>

                                        <i class="fa fa-angle-down ml-2 opacity-8"></i>
                                    </a>
                                    
                                    
                                    
                                    
                                    
                                    
                                    
                                    
                                    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        <a href="<?php echo e(route('logout')); ?>" tabindex="0" onclick="event.preventDefault();
                                            document.getElementById('logout-form').submit();" class="dropdown-item" ><?php echo e(__('messages.logout')); ?></a>

                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                            <?php echo csrf_field(); ?>
                                            <?php echo e(method_field('POST')); ?>

                                        </form>
                                        <a href="<?php echo e(route('profile',['id'=>$user->id])); ?>" class="dropdown-item">
                                            <?php echo e(__('messages.profile')); ?>

                                        </a>
                                    </div>

                                </div>
                            </div>
                            <div class="widget-content-left  ml-3 header-user-info">
                                <div class="widget-heading">
                                    
                                </div>
                                <div class="widget-subheading">
                                    
                                </div>
                            </div>

                            
                            
                            
                            
                            
                            
                            
                            





                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="app-main">
        <div class="app-sidebar sidebar-shadow">
            <div class="app-header__logo">
                <div class="logo-src"></div>
                <div class="header__pane ml-auto">
                    <div>
                        <button type="button" class="hamburger close-sidebar-btn hamburger--elastic" data-class="closed-sidebar">
                                <span class="hamburger-box">
                                    <span class="hamburger-inner"></span>
                                </span>
                        </button>
                    </div>
                </div>
            </div>
            <div class="app-header__mobile-menu">
                <div>
                    <button type="button" class="hamburger hamburger--elastic mobile-toggle-nav">
                            <span class="hamburger-box">
                                <span class="hamburger-inner"></span>
                            </span>
                    </button>
                </div>
            </div>
            <div class="app-header__menu">
                    <span>
                        <button type="button" class="btn-icon btn-icon-only btn btn-primary btn-sm mobile-toggle-header-nav">
                            <span class="btn-icon-wrapper">
                                <i class="fa fa-ellipsis-v fa-w-6"></i>
                            </span>
                        </button>
                    </span>
            </div>
            <div class="scrollbar-sidebar">
                <div class="app-sidebar__inner">
                    <?php echo $__env->yieldContent('side_menu'); ?>
                </div>
            </div>
        </div>
        <div class="app-main__outer">
            <div class="app-main__inner">
                <?php echo $__env->yieldContent('content'); ?>
            </div>
            <div class="app-wrapper-footer">
                <div class="app-footer">
                    <div class="app-footer__inner d-flex aling-items-center justify-content-center">
                        <p class="mb-0 darkblue">Kuppitek.com</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<style>
    .dt-buttons .btn{
        margin: 2px!important;
        border-radius: 0.25rem!important;
    }
    .badge-success {
        color: #FFFFFF;
        background-color: #1c3faa;
        margin: 0.5rem;
    }
     /* -- quantity box -- */

.quantity {
    display: inline-block; }

   .quantity .input-text.qty {
    width: 35px;
    height: 39px;
    padding: 0 5px;
    text-align: center;
    background-color: transparent;
    border: 1px solid #efefef;
   }

   .quantity.buttons_added {
    text-align: left;
    position: relative;
    white-space: nowrap;
    vertical-align: top; }

   .quantity.buttons_added input {
    display: inline-block;
    margin: 0;
    vertical-align: top;
    box-shadow: none;
   }

   .quantity.buttons_added .minus,
   .quantity.buttons_added .plus {
    padding: 7px 10px 8px;
    height: 41px;
    background-color: #ffffff;
    border: 1px solid #efefef;
    cursor:pointer;}

   .quantity.buttons_added .minus {
    border-right: 0; }

   .quantity.buttons_added .plus {
    border-left: 0; }

   .quantity.buttons_added .minus:hover,
   .quantity.buttons_added .plus:hover {
    background: #eeeeee; }

    .quantity input::-webkit-outer-spin-button,
    .quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
        margin: 0;
    }

    .quantity.buttons_added .minus:focus,
    .quantity.buttons_added .plus:focus {
        outline: none;
     }

</style>
    <!-- Modal -->
    <div class="modal " id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p class="mb-0">Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled.</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript" src="<?php echo e(asset('assets/scripts/main.js')); ?>"></script>
    <script src="https://cdn.tutorialjinni.com/pdfmake/0.2.2/pdfmake.min.js"></script>
    <script src="https://cdn.tutorialjinni.com/pdfmake/0.2.2/vfs_fonts.js"></script>
    <script src="<?php echo e(asset('assets/dist/js/app.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/dataTables.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/dataTables.buttons.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/vfs_fonts.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/pdfmake.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/buttons.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/buttons.html5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/buttons.flash.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/buttons.print.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/dist/js/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/sweetalert2.js')); ?>"></script>
    <script src="http://maps.google.com/maps/api/js?sensor=true"></script>
    <script type="text/javascript" src="<?php echo e(asset('assets/scripts/main.js')); ?>"></script>
    
    <?php echo $__env->yieldContent('script'); ?>
    <script type="text/javascript">
        pdfMake.fonts = {
                Roboto: {
                    normal: 'Roboto-Regular.ttf',
                    bold: 'Roboto-Medium.ttf',
                    italics: 'Roboto-Italic.ttf',
                    bolditalics: 'Roboto-MediumItalic.ttf'
                },
                nikosh: {
                    normal: "NikoshBAN.ttf",
                    bold: "NikoshBAN.ttf",
                    italics: "NikoshBAN.ttf",
                    bolditalics: "NikoshBAN.ttf"
                },
                Almarai: {
                    normal:'Almarai-Regular.ttf',
                    bold: 'Almarai-Bold.ttf',
                    light: 'Almarai-Light.ttf',
                    bolditalics: 'Almarai-ExtraBold.ttf'
                },

            };
        $('#example').DataTable( {
            responsive: true,
            scrollX: true,
            stateSave: true,
            autoWidth: false,
            pageLength: 10,
            aaSorting: [],
            dom: 'Blftip',
            lengthMenu: [ [10, 25, 50, -1], [10, 25, 50, 'All'] ],
            buttons: [
                {
                    extend: 'pdf',
                    customize: function(doc) {
                        doc.defaultStyle.font = 'Almarai';
                    },
                    exportOptions: {
                        columns: ':not(:last-child)',
                    }
                },
                {
                    extend: 'print',
                    exportOptions: {
                        columns: ':not(:last-child)',
                    }
                },
                {
                    extend: 'copy',
                    exportOptions: {
                        columns: ':not(:last-child)',
                    }
                },
                {
                    extend: 'excel',
                    exportOptions: {
                        columns: ':not(:last-child)',
                    }
                }
            ]
            ,

            "language": {
                "url": "<?php echo e(asset('ar.json')); ?>"
            }
        } );
    </script>
    <script>
        $('.back_btn').each(function(){
            $(this).on('click',function(event){
                event.preventDefault()
                window.history.back();
            })
        })
    </script>
</body>
</html>



<?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/layouts/app.blade.php ENDPATH**/ ?>