<?php $__env->startSection('title'); ?>
    Suppliers
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="col-md-12">
        <div class="main-card mb-3 card">
            <div class="card-body">
                <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="d-flex justify-content-between align-items-center mb-3">
                    <h5 class="card-title p-2 mb-0 darkblue"><?php echo e(__('messages.suppliers')); ?></h5>
                    <a style="text-decoration: none;" href="<?php echo e(route('suppliers.create')); ?>" class="bg-blue text-white p-2 border-round fw-bold"><?php echo e(__('messages.add_supplier')); ?></a>
                </div>
                <table class="table table-striped w-100"data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                    <thead>
                    <tr class="darkblue">
                        <th>#</th>
                        <th><?php echo e(__('messages.name')); ?></th>
                        <th><?php echo e(__('messages.reg_num')); ?></th>
                        <th><?php echo e(__('messages.vat_num')); ?></th>
                        <th><?php echo e(__('messages.action')); ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($supplier->id); ?></td>
                            <td><?php echo e($supplier->name); ?></td>
                            <td><?php echo e($supplier->registeration_number); ?></td>
                            <td><?php echo e($supplier->vat_number); ?></td>
                            <td>
                                <div class="d-flex align-items-center">
                                    <a href="<?php echo e(route('suppliers.edit', $supplier->id)); ?>"><i class="px-2 fa-solid fa-pen-to-square green"></i></a>
                                    <a href="<?php echo e(route('suppliers.show', $supplier->id)); ?>"><i class="px-2 fa-solid fa-eye"></i></a>
                           </div>

                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>
<script>
    $(document).ready(function(){
        $('.del_supplier').each(function(){
            $(this).on('click',function(event){
                var elm = $(this);
                event.preventDefault();

                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            url:elm.attr('href'),
                            success: function (data) {
                                Swal.fire({
                                    title: 'Deleted',
                                    text: "your supplier has been deleted!",
                                    type: 'success',
                                    confirmButtonColor: '#35fd80',
                                    showConfirmButton:false,
                                    confirmButtonText: 'OK',
                                    timer:1000
                                })
                                    // window.location.href = base_url + 'dashboard/orders';
                                window.location.href = base_url + 'dashboard/suppliers';
                            }
                        });
                    }
                })
            })
        })
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/suppliers/index.blade.php ENDPATH**/ ?>