<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Kuppitek - <?php echo $__env->yieldContent('title'); ?> </title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link href="<?php echo e(asset('assets/main.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css/dashboard.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css/select2.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css/sweetalert.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/css.css')); ?>" rel="stylesheet">
        <link  rel="stylesheet" href="<?php echo e(asset('assets/dist/css/bootstrap.min.css')); ?>"/>
        <link href="<?php echo e(asset('assets/dist/css/dataTables.bootstrap5.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/dist/css/buttons.bootstrap5.min.css')); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
        <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
        <link rel="icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
    
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatable.min.css')); ?>" />
        <title>
            <?php
                $language = app()->getLocale();
            ?>
            <?php if($language=='ar'): ?>
                طباعة الفاتورة
                <?php

                $direction = 'style=direction:rtl;';
                ?>
            <?php else: ?>
                Print Invoice
                <?php

                $direction = 'style=direction:ltr;';
                ?>
            <?php endif; ?>
        </title>

        <style>
            body{
                size: A5
            }
            *,h6{
                font-size: 13px !important;
            }
        </style>

    </head>

    <body <?php echo e($direction); ?> style="font-size: 14px !important">
        <?php
            $language = app()->getLocale();
        ?>
        <div class="container" style="margin-top: 10px !important;margin-bottom: 10px !important">
            
                    <?php
                        switch( strlen((string)$invoice->id)){
                            case('1'):
                                $invoice_number = '00000'.$invoice->id;
                                break;
                            case('2'):
                                $invoice_number = '0000'.$invoice->id;
                                break;
                            case('3'):
                                $invoice_number = '000'.$invoice->id;
                                break;
                            case('4'):
                                $invoice_number = '00'.$invoice->id;
                                break;
                            case('6'):
                                $invoice_number = '0'.$invoice->id;
                                break;
                            default:
                                $invoice_number = $invoice->id;
                                break;
                        }
                        $path = 'images/'.$settings->logo;
                    ?>

                    <div class="row d-flex justify-content-center">
                        <div class="col-6 d-flex justify-content-center">
                            <img src="<?php echo e(asset($path)); ?>" width="100px" style="margin-bottom: 5px">
                        </div>
                    </div>
                    <h5 class="text-center">
                        <?php if($language == 'ar'): ?>
                                فاتورة ضريبية مبسطة
                        <?php else: ?>
                            Simplified Tax Invoice
                        <?php endif; ?>
                    </h5>
                    
                    <hr style="opacity: 1!important;border: 1px solid #000 ; background-color:#000 ; margin-top: 0">

                    <h6  style="margin-bottom: 0.2rem !important;font-weight: bold;">

                        <?php if($language == 'ar'): ?>
                                رقم الفاتورة :
                            <?php echo e($invoice_number); ?>

                        <?php else: ?>
                            Invoice Number :
                            <?php echo e($invoice_number); ?>

                        <?php endif; ?>
                    </h6>
                    <h6  style="margin-bottom: 0.2rem !important;font-weight: bold;">
                        <?php if($language == 'ar'): ?>
                            تاريخ اصدار الفاتورة :
                        <?php else: ?>
                            Invoice Issue Date :
                        <?php endif; ?>
                        <?php echo e(date('d/m/Y',strtotime($invoice->updated_at))); ?>

                    </h6>

                    <h6 style="margin-bottom: 0.2rem !important;font-weight: bold;">
                        <?php if($language == 'ar'): ?>
                            اسم الشركة :
                        <?php else: ?>
                        Company Name :
                        <?php endif; ?>
                        <?php echo e($settings->coffee_name); ?>

                    </h6>

                    <h6 style="margin-bottom: 0.2rem !important;font-weight: bold;">
                        <?php if($language == 'ar'): ?>
                            العنوان :
                        <?php else: ?>
                        Address:
                        <?php endif; ?>
                        <?php echo e($settings->address); ?>

                    </h6>

                    <h6 style="margin-bottom: 0.2rem !important;font-weight: bold;">
                        <?php if($language == 'ar'): ?>
                        رقم تسجيل ضريبة القيمة المضافة  :
                        <?php else: ?>
                        (VAT Number):
                        <?php endif; ?>
                        <?php echo e($settings->vat_number); ?>

                    </h6>


                    <table class="table  table-striped table-hover mb-1">

                        <thead class="text-center" style="font-weight: bolder;">
                            <td class="pt-0 pb-0">
                                <?php if($language == 'ar'): ?>
                                المجموع
                                <?php else: ?>
                                Total
                                <?php endif; ?>
                            </td>
                            <td class="pt-0 pb-0">
                                <?php if($language == 'ar'): ?>
                                سعر الواحدة
                                <?php else: ?>
                                Unit Price
                                <?php endif; ?>
                            </td>
                            <td class="pt-0 pb-0">
                                <?php if($language == 'ar'): ?>
                                الكمية
                                <?php else: ?>
                                Quantity
                                <?php endif; ?>

                            </td>
                            <td class="pt-0 pb-0" style="width: 160px">
                                <?php if($language == 'ar'): ?>
                                اسم المنتج
                                <?php else: ?>
                                Product Name
                                <?php endif; ?>
                            </td>
                        </thead >
                        <tbody class="text-center" id="order_table">
                            <?php
                                $total_vat  = 0.0;
                                $total_amount_due = 0.0;
                            ?>
                            <?php if(count($products) > 0): ?>
                                <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td style="font-weight: bold"><?php echo e(number_format($product->pivot->taxable_amount,2)); ?></td>
                                        <td style="font-weight: bold"><?php echo e(number_format($product->selling_price,1)); ?></td>
                                        <td style="font-weight: bold"><?php echo e($product->pivot->quantity); ?></td>
                                        <td style="font-weight: bold">
                                            <p class="p-0 m-0">
                                                <?php if($language == 'ar'): ?>
                                                <?php echo e($product->name_ar); ?>

                                                <?php else: ?>
                                                <?php echo e($product->name_en); ?>

                                                <?php endif; ?>
                                            </p>
                                            
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>

                        </tbody>
                    </table>
                    <?php if($invoice->order->discount != 0): ?>
                        <p class="m-0 font-weight-bolder ">
                            <?php if($language == 'ar'): ?>
                                الخصم :
                            <?php else: ?>
                                Discount :
                            <?php endif; ?>
                            <?php echo e($invoice->order->discount); ?>

                        </p>
                    <?php endif; ?>

                    <hr style="opacity: 1!important;border: 1px solid #000 ; background-color:#000;margin: 0;">

                    <div class="row">
                        <div class="col-12">
                            <div class="row">
                                <div class="col-8">
                                    <p class="m-0 font-weight-bolder">
                                        <?php if($language == 'ar'): ?>
                                            المجموع ( غير شامل ضريبة القيمة المضافة  )
                                        <?php else: ?>
                                            Total Taxable Amount (Excluding VAT)
                                        <?php endif; ?>
                                    </p>
                                    
                                </div>
                                <div class="col-4 d-flex justify-content-end alighn-items-center font-weight-bolder" >
                                    <p class="m-0 text-right"><?php echo e(number_format($invoice->order->sub_total_a_dis,2)); ?></p>
                                </div>
                            </div>
                            <hr style="margin:0px;">
                            <div class="row">
                                <div class="col-8">
                                    <p class="m-0 font-weight-bolder">
                                        <?php if($language == 'ar'): ?>
                                            مجموع ضريبة القيمة المضافة
                                        <?php else: ?>
                                            Total VAT
                                        <?php endif; ?>
                                    </p>
                                    
                                </div>
                                <div class="col-4 d-flex justify-content-end alighn-items-center font-weight-bolder">
                                    <p class="m-0 text-right"><?php echo e(number_format($invoice->order->tax_a_dis,2)); ?></p>
                                </div>
                            </div>
                            <hr style="margin:0px;">
                            <div class="row">
                                <div class="col-8">
                                    <p class="m-0 font-weight-bolder">
                                        <?php if($language == 'ar'): ?>
                                            إجمالي المبلغ المستحق
                                        <?php else: ?>
                                            Total Amount Due
                                        <?php endif; ?>
                                    </p>
                                    
                                </div>
                                <div class="col-4 d-flex justify-content-end alighn-items-center font-weight-bolder">
                                    <p class="m-0 text-right"><?php echo e(number_format($invoice->order->total,2)); ?></p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <hr style="opacity: 1!important;border: 1px solid #000 ; background-color:#000;margin-top: 10px;margin-bottom: 0px">

                    <div class="row d-flex justify-content-center">
                        <div class="col-6 d-flex justify-content-center align-items-center">
                            <img src="<?php echo e($QR); ?>" alt="QR Code" style="width: 140px">
                        </div>
                    </div>
                
        </div>


        <script type="text/javascript" src="<?php echo e(asset('assets/scripts/main.js')); ?>"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
        <script src="<?php echo e(asset('assets/dist/js/app.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/jquery.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/bootstrap.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/jquery.dataTables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/dataTables.bootstrap5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/dataTables.buttons.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.bootstrap5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.html5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.flash.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/buttons.print.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/dist/js/jszip.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/select2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/sweetalert2.js')); ?>"></script>
        <script>
            $(document).ready(function(){
                window.print();
                window.onafterprint = window.close;
            })
        </script>
    </body>
</html>

<?php /**PATH /home/receit7/sa.kuppitek.com/pos/valve/resources/views/dashboard/invoices/print.blade.php ENDPATH**/ ?>